import { Component, EventEmitter, Input, Output } from '@angular/core';
export class KanbanActionsBarComponent {
    constructor() {
        this.display = false;
        this.actionsList = [];
        this.selectedCount = 0;
        this.onActionsEventFired = new EventEmitter();
    }
    ngOnInit() {
    }
    /**
     * On selection of action, fire event with action nam.
     *
     * @param {string} actionType
     * @returns {void}
     */
    onActionSelected(actionType) {
        this.onActionsEventFired.emit(actionType);
    }
}
KanbanActionsBarComponent.decorators = [
    { type: Component, args: [{
                selector: 'anterasoftware-kanban-actions-bar',
                template: "<div class=\"actions-bar-container\">\r\n  <div fxLayout=\"row\">\r\n    <button class=\"actions-btn\" [matMenuTriggerFor]=\"actionBarList\" mat-button>ACTIONS <mat-icon inline=\"true\">arrow_drop_down</mat-icon></button>\r\n    <p *ngIf=\"selectedCount > 0\" class=\"select-title\"> Selected {{selectedCount}} </p>\r\n  </div>\r\n<!-- <div fxLayout=\"row\"  *ngIf=\"page === 'Productions'\">\r\n  <p class=\"action-title\"> ACTIONS</p>\r\n  <div class=\"arrow-down\" [matMenuTriggerFor]=\"actionBarList\"></div>\r\n  <button class=\"actions-btn\" [matMenuTriggerFor]=\"actionBarList\" mat-button>ACTIONS <mat-icon inline=\"true\">arrow_drop_down</mat-icon></button>\r\n  <p *ngIf=\"selectedCount > 0\" class=\"select-title\"> Selected {{selectedCount}} </p>\r\n</div> -->\r\n</div>\r\n\r\n<mat-menu #actionBarList>\r\n  <button *ngFor=\"let action of actionsList\" [disabled]=\"action.disabled\" (click)=\"onActionSelected(action)\" mat-menu-item >\r\n    <mat-icon *ngIf=\"action?.icon?.length > 0\"> {{ action?.icon}} </mat-icon>\r\n      {{ action.key }}\r\n  </button>\r\n</mat-menu>\r\n",
                styles: [".actions-bar-container{height:35px;border:1px solid #707070;padding:0 0 5px 10px;background-color:#fff;position:sticky;top:0;z-index:99999}.actions-bar-container .actions-title{font-style:bold;font-size:8px}.actions-bar-container .select-title{font-size:10px;margin-left:13px;margin-top:10px}.actions-bar-container .arrow-down{width:0;height:0;border-left:5px solid transparent;border-right:5px solid transparent;border-top:6px solid #000;position:relative;top:12px;left:6px;cursor:pointer}.actions-bar-container .actions-btn{background:#f0f4fa;border-radius:5px;border:1px solid #2f528f;margin:5px;height:25px;font-size:12px;line-height:20px;width:100px}p{font-size:10px}"]
            },] }
];
KanbanActionsBarComponent.ctorParameters = () => [];
KanbanActionsBarComponent.propDecorators = {
    display: [{ type: Input }],
    actionsList: [{ type: Input }],
    selectedCount: [{ type: Input }],
    onActionsEventFired: [{ type: Output }]
};
//# sourceMappingURL=kanban-actions-bar.component.js.map