import { Component, Inject } from '@angular/core';
import { FormBuilder } from '@angular/forms';
import { MatDialogRef, MAT_DIALOG_DATA } from '@angular/material/dialog';
export class KanbanAddEditSwimLaneComponent {
    // TODO: change component name to have dialog in it.
    constructor(fb, dialogRef, data) {
        this.fb = fb;
        this.dialogRef = dialogRef;
        this.data = data;
        this.editFlag = false;
        this.positionList = [];
        this.hoursList = [
            { label: '1 hour', value: 1 },
            { label: '8 hours', value: 8 },
            { label: '12 hours', value: 12 },
            { label: '24 hours', value: 24 },
            { label: '3 days', value: 72 },
            { label: '7 days', value: 168 },
            { label: '15 days', value: 360 },
            { label: '30 days', value: 720 },
        ];
        this.swimLaneForm = this.fb.group({
            label: [''],
            position: [0],
            dropOff: [''],
            dropOffHour: ['']
        });
    }
    ngOnInit() {
        this.editFlag = this.data.panel ? true : false;
        if (this.editFlag) {
            if (this.data.swimlaneLength) {
                for (let i = 0; i < this.data.swimlaneLength; i++) {
                    this.positionList.push(i + 1);
                }
            }
        }
        else {
            if (this.data.swimlaneLength) {
                for (let i = 0; i <= this.data.swimlaneLength; i++) {
                    this.positionList.push(i + 1);
                }
            }
        }
        //this.positionList = this.data.positionList;
        this.setFormValues();
    }
    /**
     * Sets the form values that already exist.
     *
     * @returns {void}
     */
    setFormValues() {
        var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p, _q;
        let dropOff = false;
        if (((_c = (_b = (_a = this.data) === null || _a === void 0 ? void 0 : _a.panel) === null || _b === void 0 ? void 0 : _b.header) === null || _c === void 0 ? void 0 : _c.dropOffHour) > 0) {
            dropOff = true;
        }
        else {
            dropOff = false;
        }
        const values = {
            label: ((_f = (_e = (_d = this.data) === null || _d === void 0 ? void 0 : _d.panel) === null || _e === void 0 ? void 0 : _e.header) === null || _f === void 0 ? void 0 : _f.title) || '',
            position: ((_j = (_h = (_g = this.data) === null || _g === void 0 ? void 0 : _g.panel) === null || _h === void 0 ? void 0 : _h.header) === null || _j === void 0 ? void 0 : _j.position) || 0,
            dropOff: dropOff || '',
            dropOffHour: ((_m = (_l = (_k = this.data) === null || _k === void 0 ? void 0 : _k.panel) === null || _l === void 0 ? void 0 : _l.header) === null || _m === void 0 ? void 0 : _m.dropOffHour) > 0 ? (_q = (_p = (_o = this.data) === null || _o === void 0 ? void 0 : _o.panel) === null || _p === void 0 ? void 0 : _p.header) === null || _q === void 0 ? void 0 : _q.dropOffHour : 1
                || 1,
        };
        this.swimLaneForm.setValue(values);
    }
    /**
     * Saves the form and closes the dialog.
     *
     * @returns {void}
     */
    onSave() {
        var _a, _b;
        const formValues = this.swimLaneForm.getRawValue();
        formValues.id = (_b = (_a = this.data) === null || _a === void 0 ? void 0 : _a.panel) === null || _b === void 0 ? void 0 : _b.id;
        this.dialogRef.close(formValues);
    }
    /**
     * Closes the dialog on click of cancel.
     *
     * @returns {void}
     */
    onClose() {
        this.dialogRef.close();
    }
}
KanbanAddEditSwimLaneComponent.decorators = [
    { type: Component, args: [{
                selector: 'anterasoftware-kanban-add-edit-swimlane',
                template: "<div class=\"dialog-content-wrapper\">\r\n    <mat-toolbar matDialogTitle class=\"mat-accent m-0\">\r\n        <mat-toolbar-row>\r\n            <div><h2 *ngIf=\"editFlag; else newTitle\" class=\"swimlane-header\"> Edit Swimlane </h2>\r\n                <ng-template #newTitle>\r\n                    <h2 class=\"swimlane-header\"> Add Swimlane</h2>\r\n                </ng-template></div>\r\n        </mat-toolbar-row>\r\n    </mat-toolbar>\r\n\r\n    <mat-dialog-content class=\"p-24 m-0\">\r\n\r\n        <form fxLayout=\"column\" class=\"swimlane-modal-container\" [formGroup]=\"swimLaneForm\" fxLayoutAlign=\"space-between\">\r\n            <mat-form-field>\r\n                <mat-label> Label </mat-label>\r\n                <input formControlName=\"label\" matInput placeholder=\"Label\" />\r\n                <mat-hint class=\"hint\"> Please provide a unique name for this swimlane. </mat-hint>\r\n            </mat-form-field>\r\n        \r\n            <mat-form-field class=\"mt-20\">\r\n                <mat-label> Select Position </mat-label>\r\n                <mat-select formControlName=\"position\" placeholder=\"Select Position\">\r\n                    <mat-option *ngFor=\"let position of positionList\" [value]=\"position\">\r\n                        {{position}}\r\n                    </mat-option>\r\n                </mat-select>\r\n            </mat-form-field>\r\n\r\n            <div class=\"flex-inline-box\">\r\n                <ng-container>\r\n                    <mat-checkbox  formControlName=\"dropOff\"></mat-checkbox>\r\n                </ng-container>\r\n                Drop items off after\r\n                <mat-form-field class=\"mt-20\">\r\n                    <mat-label> Select Hours </mat-label>\r\n                    <mat-select formControlName=\"dropOffHour\" placeholder=\"Select\">\r\n                        <mat-option *ngFor=\"let hours of hoursList\" [value]=\"hours.value\">\r\n                            {{hours.label}}\r\n                        </mat-option>\r\n                    </mat-select>\r\n                </mat-form-field>\r\n                when items are added\r\n            </div>\r\n        </form>\r\n        \r\n    </mat-dialog-content>\r\n\r\n    <mat-dialog-actions class=\"m-0 p-16\" fxLayout=\"row\" fxLayoutAlign=\"space-between center\">\r\n        <div fxLayout=\"row\" fxLayoutAlign=\"start center\">\r\n            <button mat-button color=\"primary\" (click)=\"onSave()\" class=\"save-btn mat-raised-button mat-accent\" > Save </button>\r\n            <button mat-button (click)=\"onClose()\" class=\"cancel-btn mat-raised-button mat-accent\"> Cancel </button>\r\n        </div>\r\n\r\n    </mat-dialog-actions>\r\n</div>\r\n",
                styles: [".swimlane-modal-container{height:100%}.swimlane-modal-container .header-container{padding-left:10px;min-height:40px}.swimlane-modal-container .header-container .swimlane-header{color:#0a6082;font-family:Roboto;font-size:20px}.swimlane-modal-container .header-container .horizontal-line{margin-left:-33px;margin-right:-23px}.swimlane-modal-container .cancel-btn{color:#1c7db9}.swimlane-modal-container .save-btn{background-color:#332323;color:#fff;border:1px #707070}.swimlane-modal-container .hint{font-style:italic}"]
            },] }
];
KanbanAddEditSwimLaneComponent.ctorParameters = () => [
    { type: FormBuilder },
    { type: MatDialogRef },
    { type: undefined, decorators: [{ type: Inject, args: [MAT_DIALOG_DATA,] }] }
];
//# sourceMappingURL=kanban-add-edit-swimlane.component.js.map