import { Component } from '@angular/core';
import { FormControl } from '@angular/forms';
import { MatDialogRef } from '@angular/material/dialog';
export class KanbanAddSavedSearchModalComponent {
    constructor(dialogRef) {
        this.dialogRef = dialogRef;
        this.savedSearchName = new FormControl('');
        this.isShare = new FormControl('');
        this.isTab = new FormControl('');
    }
    ngOnInit() { }
    /**
     * Closes the dialog
     *
     * @returns {void}
     */
    onClose() {
        this.dialogRef.close();
    }
    /**
     * On Save, emit the saved search name.
     *
     * @returns {void}
     */
    onSave() {
        //const savedSearchName = this.savedSearchName.value;
        let saveSearchData = {
            name: this.savedSearchName.value,
            isShare: this.isShare.value,
            isTab: this.isTab.value,
        };
        this.dialogRef.close(saveSearchData);
    }
}
KanbanAddSavedSearchModalComponent.decorators = [
    { type: Component, args: [{
                selector: 'anterasoftware-kanban-add-saved-search-modal',
                template: "<div class=\"dialog-content-wrapper\">\r\n  <mat-toolbar matDialogTitle class=\"mat-accent m-0\">\r\n      <mat-toolbar-row>\r\n          <div><h2 *ngIf=\"editFlag; else newTitle\" class=\"swimlane-header\"> Edit Swimlane </h2>\r\n              <ng-template #newTitle>\r\n                  <h2 class=\"swimlane-header\">Add Saved Search</h2>\r\n              </ng-template></div>\r\n      </mat-toolbar-row>\r\n  </mat-toolbar>\r\n\r\n  <mat-dialog-content class=\"p-24 m-0\">\r\n\r\n\r\n    <form fxLayout=\"column\" class=\"saved-search-whole-container\" fxLayoutAlign=\"space-between\">\r\n      <mat-form-field>\r\n          <mat-label> Name </mat-label>\r\n          <input [formControl]=\"savedSearchName\" matInput placeholder=\"Name\" />\r\n      </mat-form-field>\r\n      <div fxLayout=\"row\" fxLayoutGap=\"6px\" class=\"checkbox-container\">\r\n        <mat-checkbox [formControl]=\"isTab\"> Quick Search </mat-checkbox>\r\n        <mat-checkbox [formControl]=\"isShare\" class=\"ml-24\"> Share </mat-checkbox>\r\n      </div>\r\n      <!-- <div fxLayout=\"column\" fxLayoutGap=\"4px\">\r\n          <button mat-button color=\"primary\" (click)=\"onSave()\" class=\"save-btn\" > Save </button>\r\n          <button mat-button (click)=\"onClose()\" class=\"cancel-btn\"> Cancel </button>\r\n      </div> -->\r\n    </form>\r\n  </mat-dialog-content>\r\n\r\n  <mat-dialog-actions class=\"m-0 p-16\" fxLayout=\"row\" fxLayoutAlign=\"space-between center\">\r\n      <div fxLayout=\"row\" fxLayoutAlign=\"start center\">\r\n          <button mat-button color=\"primary\" (click)=\"onSave()\" class=\"save-btn mat-raised-button mat-accent\" > Save </button>\r\n          <button mat-button (click)=\"onClose()\" class=\"cancel-btn mat-raised-button mat-accent\"> Cancel </button>\r\n      </div>\r\n\r\n  </mat-dialog-actions>\r\n</div>\r\n\r\n<!-- <form fxLayout=\"column\" class=\"saved-search-whole-container\" fxLayoutAlign=\"space-between\">\r\n  <div class=\"header-container\">\r\n      <h2 class=\"saved-search-header\"> Add Saved Search  </h2>\r\n\r\n      <hr class=\"horizontal-line\">\r\n  </div>\r\n  <mat-form-field>\r\n      <mat-label> Name </mat-label>\r\n      <input [formControl]=\"savedSearchName\" matInput placeholder=\"Name\" />\r\n  </mat-form-field>\r\n  <div fxLayout=\"row\" fxLayoutGap=\"6px\" class=\"checkbox-container\">\r\n    <mat-checkbox [formControl]=\"isTab\"> Quick Search </mat-checkbox>\r\n    <mat-checkbox [formControl]=\"isShare\" class=\"ml-24\"> Share </mat-checkbox>\r\n  </div>\r\n  <div fxLayout=\"column\" fxLayoutGap=\"4px\">\r\n      <button mat-button color=\"primary\" (click)=\"onSave()\" class=\"save-btn\" > Save </button>\r\n      <button mat-button (click)=\"onClose()\" class=\"cancel-btn\"> Cancel </button>\r\n  </div>\r\n</form> -->\r\n",
                styles: [".saved-search-whole-container{height:100%}.saved-search-whole-container .header-container .horizontal-line{margin-left:-33px;margin-right:-23px}.saved-search-whole-container .save-btn{background-color:#332323;color:#fff;border:1px #707070}.saved-search-whole-container .cancel-btn{color:#1c7db9}"]
            },] }
];
KanbanAddSavedSearchModalComponent.ctorParameters = () => [
    { type: MatDialogRef }
];
//# sourceMappingURL=kanban-add-saved-search-modal.component.js.map