import { Component, Inject, Input, ViewEncapsulation } from '@angular/core';
import { MatDialogRef, MAT_DIALOG_DATA } from '@angular/material/dialog';
export class KanbanConfirmationModalComponent {
    constructor(dialogRef, data) {
        this.dialogRef = dialogRef;
        this.data = data;
        this.title = 'Are you Sure?';
        this.message = '';
        this.submitBtn = 'Submit';
        this.cancelBtn = 'Cancel';
        this.titleCss = '';
        this.messageCss = '';
        this.submitBtnCss = '';
        this.cancelBtnCss = '';
    }
    ngOnInit() {
        this.setPageValues();
    }
    /**
     * Sets the values of the page.
     *
     * @returns {void}
     */
    setPageValues() {
        var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p, _q, _r, _s, _t, _u;
        if (this.data) {
            if (((_b = (_a = this.data) === null || _a === void 0 ? void 0 : _a.title) === null || _b === void 0 ? void 0 : _b.length) > 0) {
                this.title = (_c = this.data) === null || _c === void 0 ? void 0 : _c.title;
            }
            if (((_e = (_d = this.data) === null || _d === void 0 ? void 0 : _d.message) === null || _e === void 0 ? void 0 : _e.length) > 0) {
                this.message = (_f = this.data) === null || _f === void 0 ? void 0 : _f.message;
            }
            if (((_h = (_g = this.data) === null || _g === void 0 ? void 0 : _g.submitBtn) === null || _h === void 0 ? void 0 : _h.length) > 0) {
                this.submitBtn = (_j = this.data) === null || _j === void 0 ? void 0 : _j.submitBtn;
            }
            if (((_l = (_k = this.data) === null || _k === void 0 ? void 0 : _k.cancelBtn) === null || _l === void 0 ? void 0 : _l.length) > 0) {
                this.cancelBtn = this.data.cancelBtn;
            }
            if (((_o = (_m = this.data) === null || _m === void 0 ? void 0 : _m.titleCss) === null || _o === void 0 ? void 0 : _o.length) > 0) {
                this.titleCss = this.data.titleCss;
            }
            if (((_q = (_p = this.data) === null || _p === void 0 ? void 0 : _p.messageCss) === null || _q === void 0 ? void 0 : _q.length) > 0) {
                this.messageCss = this.data.messageCss;
            }
            if (((_s = (_r = this.data) === null || _r === void 0 ? void 0 : _r.submitBtnCss) === null || _s === void 0 ? void 0 : _s.length) > 0) {
                this.submitBtnCss = this.data.submitBtnCss;
            }
            if (((_u = (_t = this.data) === null || _t === void 0 ? void 0 : _t.cancelBtnCss) === null || _u === void 0 ? void 0 : _u.length) > 0) {
                this.cancelBtnCss = this.data.cancelBtnCss;
            }
        }
    }
    /**
     * Closes the dialog.
     *
     * @returns {void}
     */
    close() {
        this.dialogRef.close();
    }
    /**
     * Submit clicked.
     *
     * @returns {void}
     */
    submitClicked() {
        this.dialogRef.close(true);
    }
}
KanbanConfirmationModalComponent.decorators = [
    { type: Component, args: [{
                selector: 'anterasoftware-kanban-confirmation-modal',
                template: "<!-- <div fxLayout=\"column\" fxLayoutAlign=\"space-between\" class=\"modal-container\">\r\n  <div class=\"header-container\">\r\n    <h4 class=\"{{ titleCss }}  header\">{{ title }}</h4>\r\n  </div>\r\n  <div class=\"content-container\">\r\n    <p class=\"{{messageCss}}\">{{ message }}</p>\r\n  </div>\r\n  <div fxLayout=\"column\" fxLayoutGap=\"2px\">\r\n    <button mat-button class=\"{{ submitBtnCss }} submit-btn\" (click)=\"submitClicked()\">\r\n      {{ submitBtn }}\r\n    </button>\r\n    <button mat-button class=\"cancelBtn {{ cancelBtnCss }}\" (click)=\"close()\">\r\n      {{ cancelBtn }}\r\n    </button>\r\n  </div>\r\n</div> -->\r\n\r\n<h1 matDialogTitle>{{ title }}</h1>\r\n<div mat-dialog-content>\r\n    <span [innerHTML]='message'>\r\n    </span>\r\n    <!-- <span><br><br>{{confirmNote}}</span> -->\r\n</div>\r\n<div mat-dialog-actions class=\"pt-24\">\r\n    <button mat-raised-button class=\"mat-accent mr-16\" (click)=\"submitClicked()\">{{ submitBtn }}</button>\r\n    <button mat-button (click)=\"close()\">{{ cancelBtn }}</button>\r\n</div>\r\n",
                encapsulation: ViewEncapsulation.None,
                styles: [".modal-container{height:100%}.modal-container .header-container{padding-left:10px;min-height:40px;margin-left:-24px;margin-right:-24px}.modal-container .header-container .header{color:#0a6082;font-family:Roboto;font-size:20px}.modal-container .content-container{padding-top:15px;height:100%}.modal-container .cancel-btn{color:#1c7db9}.modal-container .submit-btn{background-color:#332323;color:#fff;border:1px #707070}"]
            },] }
];
KanbanConfirmationModalComponent.ctorParameters = () => [
    { type: MatDialogRef },
    { type: undefined, decorators: [{ type: Inject, args: [MAT_DIALOG_DATA,] }] }
];
KanbanConfirmationModalComponent.propDecorators = {
    title: [{ type: Input }],
    message: [{ type: Input }],
    submitBtn: [{ type: Input }],
    cancelBtn: [{ type: Input }],
    titleCss: [{ type: Input }],
    messageCss: [{ type: Input }],
    submitBtnCss: [{ type: Input }],
    cancelBtnCss: [{ type: Input }]
};
//# sourceMappingURL=kanban-confirmation-modal.component.js.map