import { moveItemInArray } from '@angular/cdk/drag-drop';
import { Component, EventEmitter, Input, Output, } from '@angular/core';
import { FormBuilder } from '@angular/forms';
export class KanbanHeaderGridComponent {
    constructor(fb) {
        this.fb = fb;
        this.title = '';
        this.scopeOptions = [];
        this.enableViewOptionsList = [];
        this.calendarOptionsList = [];
        this.calendarTypeList = [];
        this.selectedCalendar = '';
        this.cogList = [];
        this.viewMyItems = true;
        this.summaryBilling = false;
        this.showSummaryBilling = false;
        this.reSynceNeeded = false;
        this.addBtnList = [];
        this.page = '';
        this.showClearAllBtn = false;
        this.calendarOptionsArtworkList = [];
        this.moduleViewOptionsList = [];
        this.defaultProductView = '';
        this.mappingFields = [];
        this.search = new EventEmitter();
        this.openAdvancedSearch = new EventEmitter();
        this.showKanbanView = new EventEmitter();
        this.onEnableOptionsChange = new EventEmitter();
        this.onCalendarDateClicked = new EventEmitter();
        this.onAddBtnClicked = new EventEmitter();
        this.onToggleViewMyItems = new EventEmitter();
        this.onToggleSummaryBilling = new EventEmitter();
        this.onCalendarTypeToggle = new EventEmitter();
        this.onSettingListClicked = new EventEmitter();
        this.onClearFilterBtnClicked = new EventEmitter();
        this.onResetColumns = new EventEmitter();
        this.onChangeProductionView = new EventEmitter();
        this.onChangeModuleView = new EventEmitter();
        this.productSearch = new EventEmitter();
        this.addNewModule = new EventEmitter();
        this.onChangeProductView = new EventEmitter();
        this.defaultModuleView = '';
        this.ontToggleResyncQBO = new EventEmitter();
        this.selectedView = '';
        this.viewMode = '';
        this.showKanbanViewFlag = false;
        this.simpleSearchForm = this.fb.group({
            searchTerm: [''],
            searchScope: [''],
        });
        this.defaultSelected = '';
        this.selection = '';
    }
    ngOnInit() {
        var _a;
        this.selectedCalendar = ((_a = this.calendarTypeList) === null || _a === void 0 ? void 0 : _a.length) > 0 && !this.selectedCalendar ? this.calendarTypeList[0] : '';
        // this.enableViewOptionsList.sort((a, b) => (a.key > b.key) ? 1 : -1);
    }
    // public ngOnChanges(changes: SimpleChanges){
    //   for(const propName in changes){
    //     if(changes.hasOwnProperty(propName)){
    //       switch(propName){
    //         case 'enableViewOptionsList': {
    //           this.enableViewOptionsList.sort((a,b) => (a.key > b.key) ? 1 : -1);
    //         }
    //       }
    //     }
    //   }
    // }
    /**
     * Basic search that emits event based on search result.
     *
     * @returns {void}
     */
    simpleSearch() {
        const simpleSearchQuery = this.simpleSearchForm.getRawValue();
        this.search.emit(simpleSearchQuery);
    }
    /**
     * Searches and sends value to the parent component.
     *
     * @param {string} searchKey
     * @returns {void}
     */
    openSearch(pageToOpen) {
        this.openAdvancedSearch.emit(pageToOpen);
    }
    /**
     * Emits event when clear all btn on header is clicked.
     *
     * @returns {void}
     */
    onClearAllClicked() {
        this.onClearFilterBtnClicked.emit();
    }
    /**
     * Displays the kanban view or list view based on current page.
     *
     * @returns {void}
     */
    displayKanbanPage() {
        this.showKanbanViewFlag = !this.showKanbanViewFlag;
        this.showKanbanView.emit(this.showKanbanViewFlag);
    }
    /**
     * On change of the list of enable view options,
     * event is fired.
     *
     * @returns {void}
     */
    onEnableViewOptions() {
        this.onEnableOptionsChange.emit(this.enableViewOptionsList);
    }
    /**
     * On selection of calendar list, event is fired.
     *
     * @param {string} date
     * @returns {void}
     */
    onCalendarListClick(date) {
        this.onCalendarDateClicked.emit(date);
    }
    /**
     * Emits event when add product is clicked.
     *
     * @returns {void}
     */
    addBtnClicked(menuSelected) {
        this.onAddBtnClicked.emit(menuSelected);
    }
    /**
     * Toggles view my items check box on.
     *
     * @param {MatCheckbox} event
     * @returns {void}
     */
    toggleViewMyItems(event) {
        this.onToggleViewMyItems.emit(event.value);
    }
    /**
     * Toggles summary billing checkbox on.
     *
     * @param {MatCheckbox} event
     * @returns {void}
     */
    toggleSummaryBilling(event) {
        this.onToggleSummaryBilling.emit(event.value);
    }
    /**
     * Emits event when new calendar search is selected.
     *
     * @returns {void}
     */
    onCalendarTypeChange() {
        this.onCalendarTypeToggle.emit(this.selectedCalendar);
    }
    onReorderColumnList(event) {
        // console.log('value of event', event)
    }
    onSettingListChange(setting) {
        this.onSettingListClicked.emit(setting);
    }
    onColumnListReorder(event) {
        moveItemInArray(this.enableViewOptionsList, event.previousIndex, event.currentIndex);
        this.enableViewOptionsList.forEach((column, index) => column.optionalValue = index);
        this.onEnableOptionsChange.emit(this.enableViewOptionsList);
    }
    changeView(ev) {
        if (ev.value == 'List View') {
            this.showKanbanViewFlag = false;
        }
        else if (ev.value == 'Thumbnail View') {
            this.showKanbanViewFlag = true;
        }
        else if (ev.value == 'Kanban View') {
            this.showKanbanViewFlag = true;
        }
        this.showKanbanView.emit(this.showKanbanViewFlag);
    }
    changeProductionView(ev) {
        this.onChangeProductionView.emit(ev.value);
    }
    changeProductView(ev) {
        this.onChangeProductView.emit(ev.value);
    }
    changeModuleView(event) {
        this.onChangeModuleView.emit(event);
    }
    /* public onEnableDefualtViewOptions() {
      this.onEnableDefualtViewOptions();
    } */
    advanceProductSearch() {
        this.productSearch.emit();
    }
    addModule() {
        this.addNewModule.emit();
    }
    toggleResyncQBO(event) {
        this.ontToggleResyncQBO.emit(event);
    }
}
KanbanHeaderGridComponent.decorators = [
    { type: Component, args: [{
                selector: 'antera-lib-kanban-header-grid',
                template: "\r\n<mat-toolbar>\r\n  <mat-toolbar-row fxLayout=\"row\" fxLayoutAlign=\"space-between\">\r\n    <h4 class=\"header-title\"> {{ title }} </h4>\r\n\r\n\r\n    <form id=\"kanban-header-form\" [formGroup]=\"simpleSearchForm\">\r\n\r\n      <!-- <span class=\"horizontal-divider\"></span> -->\r\n\r\n      <div id=\"kanban-search-grid\">\r\n\r\n        <div id=\"antera-kanban-header-grid-search\">\r\n          <mat-form-field id=\"antera-search\" class=\"search-full-width search-option\" appearance=\"fill\">\r\n            <span matPrefix>\r\n              <mat-icon>search</mat-icon>\r\n            </span>\r\n            <input type=\"search\" formControlName=\"searchTerm\" matInput placeholder=\"Search\" />\r\n          </mat-form-field>\r\n        </div>\r\n\r\n        <div id=\"antera-kanban-header-grid-filter\"  class=\"filter-drop-down\">\r\n          <mat-form-field appearance=\"fill\" class=\"search-scope-options filter-options\">\r\n            <mat-label> Filters </mat-label>\r\n            <mat-select formControlName=\"searchScope\">\r\n              <mat-option *ngFor=\"let item of scopeOptions\" [value]=\"item\">\r\n                {{item | orderColumnNameMapper : page : mappingFields}}\r\n              </mat-option>\r\n            </mat-select>\r\n          </mat-form-field>\r\n        </div>\r\n\r\n        <div id=\"antera-kanban-header-grid-search-btn\">\r\n          <button class=\"search-button\" (click)=\"simpleSearch()\" mat-button>Search</button>\r\n        </div>\r\n\r\n        <div id=\"antera-kanban-header-grid-advanced-search\">\r\n          <button mat-icon-button [matMenuTriggerFor]=\"advancedSearch\" aria-label=\"Advanced Search\">\r\n            <mat-icon > more_vert</mat-icon>\r\n          </button>\r\n        </div>\r\n\r\n        <div id=\"antera-kanban-header-grid-dates-filter\">\r\n          <button mat-icon-button [matMenuTriggerFor]=\"dueDate\" aria-label=\"\">\r\n            <mat-icon>event</mat-icon>\r\n          </button>\r\n        </div>\r\n\r\n        <div id=\"antera-kanban-header-grid-add-btn\" *ngIf=\"title != 'Leads'\">\r\n\r\n          <button *ngIf=\"addBtnList?.length === 1; else buttonListTmp\"\r\n                  id=\"add-item-btn\"\r\n                  mat-raised-button\r\n                  color=\"primary\"\r\n                  (click)=\"addBtnClicked(addBtnList[0].value)\">\r\n            <mat-icon>add</mat-icon>\r\n              Add\r\n          </button>\r\n          <ng-template #buttonListTmp>\r\n            <button id=\"add-item-btn\" mat-raised-button color=\"primary\" [matMenuTriggerFor]=\"addMoreItems\">\r\n              <mat-icon>add</mat-icon>\r\n                Add\r\n            </button>\r\n          </ng-template>\r\n        </div>\r\n\r\n        <div id=\"antera-kanban-header-grid-add-btn\" *ngIf=\"title == 'Leads'\">\r\n          <button id=\"add-item-btn\" mat-raised-button color=\"primary\" (click)=\"addModule()\">\r\n            <mat-icon>add</mat-icon>\r\n              Add\r\n          </button>\r\n        </div>\r\n\r\n\r\n\r\n        <!-- <mat-grid-tile id=\"antera-kanban-header-grid-clear-btn\" class=\"\" [class.clear-all-btn]=\"title != 'Products'\"\r\n        [class.product-clear-all-btn]=\"title == 'Products'\"  colspan=\"1\" rowspan=\"1\">\r\n            <h6 *ngIf=\"showClearAllBtn\" class=\"clear-all-title\" (click)=\"onClearAllClicked()\"> Clear All </h6>\r\n        </mat-grid-tile> -->\r\n\r\n        <div id=\"antera-kanban-header-grid-product-search-btn\" *ngIf=\"title == 'Products'\">\r\n          <button id=\"product-search-btn\" mat-raised-button color=\"primary\" (click)=\"advanceProductSearch()\">\r\n            Product Search\r\n          </button>\r\n        </div>\r\n\r\n        <div class=\"view-my-item-grid-tile\" id=\"\" *ngIf=\"title != 'Production'\" [class.grid-view-my-item]=\"title == 'Artwork' || title == 'Accounts' || title == 'Leads' || title == 'Quotes' || title == 'Orders'\"  >\r\n          <mat-checkbox class=\"view-items-position\" (change)=\"toggleViewMyItems($event)\" [checked]=\"viewMyItems\"> View My Items</mat-checkbox>\r\n        </div>\r\n\r\n        <div class=\"summary-billing-tile js\" id=\"\" *ngIf=\"title === 'Orders' && showSummaryBilling\" [class.grid-view-my-item]=\"title == 'Orders'\"  >\r\n          <mat-checkbox class=\"summary-billing-position\" (change)=\"toggleSummaryBilling($event)\" [checked]=\"summaryBilling\"> Summary Billing</mat-checkbox>\r\n        </div>\r\n\r\n        <!-- <div class=\"view-my-item-grid-tile\" id=\"\" *ngIf=\"title == 'Orders'\" [class.grid-resync-btn]=\"title == 'Orders'\"  >\r\n          <mat-checkbox class=\"view-items-position\" (change)=\"toggleResyncQBO($event)\" [checked]=\"reSynceNeeded\"> Resync</mat-checkbox>\r\n        </div> -->\r\n\r\n      </div>\r\n\r\n    </form>\r\n\r\n    <span fxLayoutAlign=\"end center\">\r\n      <mat-button-toggle-group *ngIf=\"title == 'Products'\" class=\"search-button-toggle-group\" fxFlex=\"none\"\r\n        [value]=\"defaultProductView\" (change)=\"changeProductView($event)\">\r\n        <mat-button-toggle value=\"List View\" matTooltip=\"List View\">\r\n            <mat-icon>view_list</mat-icon>\r\n        </mat-button-toggle>\r\n        <mat-button-toggle value=\"Thumbnail View\" matTooltip=\"Thumbnail View\">\r\n            <mat-icon>featured_video</mat-icon>\r\n        </mat-button-toggle>\r\n        <mat-button-toggle value=\"Kanban View\" matTooltip=\"Kanban View\">\r\n          <mat-icon>featured_play_list</mat-icon>\r\n      </mat-button-toggle>\r\n      </mat-button-toggle-group>\r\n\r\n      <mat-button-toggle-group *ngIf=\"title == 'Artwork' || title == 'Accounts' || title == 'Leads' || title == 'Quotes' || title == 'Orders' || title == 'Opportunities' || title == 'Contacts'\" class=\"search-button-toggle-group\" fxFlex=\"none\"\r\n        [value]=\"defaultModuleView\" (change)=\"changeView($event)\">\r\n        <mat-button-toggle value=\"List View\" matTooltip=\"List View\">\r\n            <mat-icon>view_list</mat-icon>\r\n        </mat-button-toggle>\r\n        <mat-button-toggle value=\"Kanban View\" matTooltip=\"Kanban View\">\r\n            <mat-icon>featured_play_list</mat-icon>\r\n        </mat-button-toggle>\r\n      </mat-button-toggle-group>\r\n\r\n      <mat-button-toggle-group *ngIf=\"title == 'Production'\" class=\"search-button-toggle-group\" fxFlex=\"none\"\r\n        [value]=\"viewMode\" (change)=\"changeProductionView($event)\">\r\n        <mat-button-toggle value=\"List View\" matTooltip=\"List View\">\r\n            <mat-icon>view_list</mat-icon>\r\n        </mat-button-toggle>\r\n        <mat-button-toggle value=\"Schedule View\" matTooltip=\"Schedule View\">\r\n          <mat-icon>schedule</mat-icon>\r\n        </mat-button-toggle>\r\n        <mat-button-toggle value=\"Machine View\" matTooltip=\"Machine View\">\r\n          <mat-icon>group_work</mat-icon>\r\n        </mat-button-toggle>\r\n        <mat-button-toggle value=\"Status View\" matTooltip=\"Status View\">\r\n          <mat-icon>featured_play_list</mat-icon>\r\n        </mat-button-toggle>\r\n      </mat-button-toggle-group>\r\n\r\n      <button *ngIf=\"title != 'Products' && title != 'Production' && title != 'Artwork' && title != 'Orders' && title != 'Leads' && title != 'Quotes' && title != 'Accounts' && title != 'Opportunities' && title != 'Contacts'\" mat-icon-button (click)=\"displayKanbanPage()\" class=\"example-icon favorite-icon\" aria-label=\"list menu\">\r\n        <mat-icon>list</mat-icon>\r\n      </button>\r\n      <button mat-icon-button class=\"example-icon\" [matMenuTriggerFor]=\"settingList\" aria-label=\"Settings\">\r\n        <mat-icon>settings</mat-icon>\r\n      </button>\r\n    </span>\r\n\r\n  </mat-toolbar-row>\r\n</mat-toolbar>\r\n\r\n<mat-menu #settingList>\r\n  <button mat-menu-item *ngFor=\"let option of cogList\" (click)=\"onSettingListChange(option)\">\r\n      {{option}}\r\n  </button>\r\n  <button mat-menu-item [matMenuTriggerFor]=\"enableViewList\" *ngIf=\"moduleViewOptionsList.length > 0\"> Default View </button>\r\n  <button mat-menu-item [matMenuTriggerFor]=\"defaultViewList\"> Column Settings </button>\r\n  <button mat-menu-item (click)=\"onResetColumns.emit()\"> Reset Columns </button>\r\n\r\n\r\n</mat-menu>\r\n\r\n<mat-menu #enableViewList=\"matMenu\">\r\n  <div>\r\n    <!-- <button mat-menu-item (click)=\"$event.stopPropagation()\">\r\n      <mat-radio-group  [(ngModel)]=\"selectedView\" *ngFor=\"let option of moduleViewOptionsList\">\r\n        <mat-radio-button  [value]=\"option\" (change)=\"changeModuleView($event)\"> {{ option }} </mat-radio-button>\r\n      </mat-radio-group>\r\n    </button> -->\r\n    <mat-list role=\"list\">\r\n      <mat-list-item class=\"module-item\" role=\"listitem\" *ngFor=\"let option of moduleViewOptionsList; let i = index\">\r\n        <mat-radio-button color=\"primary\" [checked]=\"option == defaultProductView\" [value]=\"option\" (change)=\"changeModuleView($event.value)\">\r\n          {{option}}\r\n        </mat-radio-button>\r\n      </mat-list-item>\r\n    </mat-list>\r\n  </div>\r\n</mat-menu>\r\n\r\n<mat-menu #defaultViewList>\r\n  <div cdkDropList (cdkDropListDropped)=\"onColumnListReorder($event)\">\r\n    <button mat-menu-item *ngFor=\"let option of enableViewOptionsList\" (click)=\"$event.stopPropagation()\" cdkDropList (cdkDropListDropped)=onReorderColumnList($event) cdkDrag>\r\n        <mat-icon cdkDragHandle >drag_indicator</mat-icon>\r\n        <mat-checkbox [(ngModel)]=\"option.value\" class=\"menu-column-label\" (change)=\"onEnableViewOptions()\"> {{ option.key | orderColumnNameMapper: page : mappingFields }}  </mat-checkbox>\r\n    </button>\r\n  </div>\r\n</mat-menu>\r\n\r\n<mat-menu #dueDate=\"matMenu\">\r\n  <div *ngIf=\"title == 'Artwork' || title == 'Production' || title != 'Opportunities' || title != 'Products' || title != 'Orders' || title != 'Leads' || title != 'Quotes' || title != 'Accounts' || title != 'Contacts'\">\r\n    <button *ngFor=\"let option of calendarOptionsList\" (click)=\"onCalendarListClick(option)\" mat-menu-item>\r\n      <mat-icon [ngStyle]=\"{'color':option.color}\"> date_range </mat-icon>\r\n      <span> {{ option.value }} </span>\r\n    </button>\r\n  </div>\r\n  <div *ngIf=\"title != 'Artwork' && title != 'Production' && title != 'Opportunities' && title != 'Products' && title != 'Orders' && title != 'Leads' && title != 'Quotes' && title != 'Accounts' && title != 'Contacts'\">\r\n    <button *ngFor=\"let option of calendarOptionsList\" (click)=\"onCalendarListClick(option)\" mat-menu-item>\r\n      <mat-icon> date_range </mat-icon>\r\n      <span> {{ option }} </span>\r\n    </button>\r\n  </div>\r\n  <mat-form-field appearance=\"fill\" class=\"calendar-type-container\" (click)=\"$event.stopPropagation()\">\r\n    <mat-select [(value)]=\"selectedCalendar\" (click)=\"$event.stopPropagation()\" (selectionChange)=\"onCalendarTypeChange()\">\r\n      <mat-option *ngFor=\"let calendarType of calendarTypeList\" [value]=\"calendarType\">{{ calendarType | orderColumnNameMapper: page : mappingFields }}</mat-option>\r\n    </mat-select>\r\n  </mat-form-field>\r\n</mat-menu>\r\n\r\n<mat-menu #advancedSearch=\"matMenu\">\r\n  <button mat-menu-item (click)=\"openSearch('ADVANCED_SEARCH')\">\r\n    <mat-icon>date_range</mat-icon>\r\n    <span>Advanced Search</span>\r\n  </button>\r\n  <button mat-menu-item (click)=\"openSearch('SAVED_SEARCH')\">\r\n    <mat-icon>date_range</mat-icon>\r\n    <span> Saved Search</span>\r\n  </button>\r\n</mat-menu>\r\n\r\n\r\n<mat-menu #addMoreItems=\"matMenu\">\r\n  <button *ngFor=\"let btn of addBtnList\"  mat-menu-item  (click)=\"addBtnClicked(btn.value)\">\r\n      <span> {{ btn.key }} </span>\r\n  </button>\r\n</mat-menu>\r\n",
                styles: ["#kanban-header-form{flex:auto}#kanban-search-grid{display:flex;align-items:center;height:45px}:host ::ng-deep #antera-kanban-header-grid-search{width:325px!important;display:flex}:host ::ng-deep #antera-kanban-header-grid-search figure.mat-figure{background-color:transparent;justify-content:flex-end}:host ::ng-deep #antera-kanban-header-grid-search figure.mat-figure .search-full-width{border-right:1px solid #000;color:#b4b4b4;font-size:12px;min-width:370px}:host ::ng-deep #antera-kanban-header-grid-filter{display:flex;justify-content:flex-end;background-color:#e8e8e8;width:100px!important}:host ::ng-deep #antera-kanban-header-grid-filter .mat-form-field-label-wrapper{top:-8.5px}:host ::ng-deep #antera-kanban-header-grid-filter figure.mat-figure{justify-content:flex-start}:host ::ng-deep #antera-kanban-header-grid-filter figure.mat-figure .search-scope-options{font-size:12px;padding:20px 10px 0;min-width:100px}:host ::ng-deep #antera-kanban-header-grid-search-btn figure.mat-figure{background-color:transparent;justify-content:flex-start}:host ::ng-deep #antera-kanban-header-grid-advanced-search{width:30px!important}:host ::ng-deep #antera-kanban-header-grid-add-btn{margin-left:3px}:host ::ng-deep #antera-kanban-header-grid-add-btn #add-item-btn{background-color:#2e323e;height:45px}.clear-all-btn{color:#2e323e;left:740px!important}.clear-all-btn .clear-all-title{font-size:16px;cursor:pointer}.product-clear-all-btn{color:#2e323e;left:615px!important}.product-clear-all-btn .clear-all-title{font-size:16px;cursor:pointer}.summary-billing-tile,.view-my-item-grid-tile{overflow:visible}:host ::ng-deep .search-full-width .mat-form-field-wrapper{height:45px;min-width:100%;padding-bottom:0}:host ::ng-deep .search-full-width .mat-form-field-wrapper .mat-form-field-flex{background-color:#e8e8e8;border-radius:5px 0 0 5px;height:45px;padding:0;color:#000}:host ::ng-deep .search-full-width .mat-form-field-wrapper .mat-form-field-flex .mat-form-field-prefix{position:absolute;left:10px;top:calc(50% - 12px)}:host ::ng-deep .search-full-width .mat-form-field-wrapper .mat-form-field-flex .mat-form-field-prefix .mat-icon{font-size:24px}:host ::ng-deep .search-full-width .mat-form-field-wrapper .mat-form-field-flex .mat-form-field-infix{left:40px;top:calc(50% - 9px);border:none;padding:0}:host ::ng-deep .search-full-width .mat-form-field-wrapper .mat-form-field-flex .mat-form-field-infix input{font-size:16px;width:90%}:host ::ng-deep .search-full-width .mat-form-field-wrapper .mat-form-field-underline:before{background-color:transparent}:host ::ng-deep .search-full-width.mat-form-field-appearance-fill:not(.mat-form-field-disabled) .mat-form-field-flex:hover~.mat-form-field-underline .mat-form-field-ripple{opacity:0;transform:none;transition:opacity .6s cubic-bezier(.25,.8,.25,1)}:host ::ng-deep .search-full-width.mat-form-field.mat-focused .mat-form-field-ripple{background-color:transparent!important}:host ::ng-deep .search-scope-options .mat-form-field-wrapper{height:45px;padding-bottom:0}:host ::ng-deep .search-scope-options .mat-form-field-wrapper .mat-form-field-flex{background-color:transparent!important;border-radius:0;min-height:45px;padding:0}:host ::ng-deep .search-scope-options .mat-form-field-wrapper .mat-form-field-underline:before{background-color:transparent}:host ::ng-deep .search-scope-options.mat-form-field-appearance-fill:not(.mat-form-field-disabled) .mat-form-field-flex:hover~.mat-form-field-underline .mat-form-field-ripple{opacity:0;transform:none;transition:opacity .6s cubic-bezier(.25,.8,.25,1)}:host ::ng-deep .search-scope-options.mat-form-field.mat-focused .mat-form-field-ripple{background-color:transparent!important}.search-button{background-color:#2d313e;border-radius:0 10px 10px 0!important;color:#fff;height:45px;font-weight:100;width:90px}.header-title{font-size:24px;color:#707070;font-weight:300px}.grid-view-my-item{left:875px!important;width:150px!important}.summary-billing-position,.view-items-position{display:flex;align-items:center;padding-left:15px;font-size:15px}:host ::ng-deep .mat-form-field .calendar-type-container .mat-form-field-flex{width:100%}.position-up{position:relative;top:-5px}.color-warn{color:#8b0000}.module-item{display:block;padding:10px}.mat-toolbar{background:#fff;color:#000;border:1px solid #f4f4f4}.mat-toolbar-row{align-items:center!important}.horizontal-divider{padding-top:10px;border-left:1px solid #000;min-height:100px}::ng-deep .menu-column-label .mat-checkbox-layout{display:inline}.filter-options{min-width:75px;margin-right:5px}.filter-options,.search-option{display:inline-block;position:relative;text-align:left}.search-option{min-width:370px;padding-left:90px}.grid-resync-btn{left:920px!important;width:150px!important}:host ::ng-deep #antera-kanban-header-grid-product-search-btn{margin-left:15px}:host ::ng-deep #antera-kanban-header-grid-product-search-btn #product-search-btn{background-color:#2e323e;height:45px}@media screen and (max-width:1920px){.product-clear-all-btn{left:632px!important}.clear-all-btn{left:720px!important}}@media screen and (min-width:1920px) and (max-width:5000px){.product-clear-all-btn{left:615px!important}.clear-all-btn{left:720px!important}}"]
            },] }
];
KanbanHeaderGridComponent.ctorParameters = () => [
    { type: FormBuilder }
];
KanbanHeaderGridComponent.propDecorators = {
    title: [{ type: Input }],
    scopeOptions: [{ type: Input }],
    enableViewOptionsList: [{ type: Input }],
    calendarOptionsList: [{ type: Input }],
    calendarTypeList: [{ type: Input }],
    selectedCalendar: [{ type: Input }],
    cogList: [{ type: Input }],
    viewMyItems: [{ type: Input }],
    summaryBilling: [{ type: Input }],
    showSummaryBilling: [{ type: Input }],
    reSynceNeeded: [{ type: Input }],
    addBtnList: [{ type: Input }],
    page: [{ type: Input }],
    showClearAllBtn: [{ type: Input }],
    calendarOptionsArtworkList: [{ type: Input }],
    moduleViewOptionsList: [{ type: Input }],
    defaultProductView: [{ type: Input }],
    mappingFields: [{ type: Input }],
    search: [{ type: Output }],
    openAdvancedSearch: [{ type: Output }],
    showKanbanView: [{ type: Output }],
    onEnableOptionsChange: [{ type: Output }],
    onCalendarDateClicked: [{ type: Output }],
    onAddBtnClicked: [{ type: Output }],
    onToggleViewMyItems: [{ type: Output }],
    onToggleSummaryBilling: [{ type: Output }],
    onCalendarTypeToggle: [{ type: Output }],
    onSettingListClicked: [{ type: Output }],
    onClearFilterBtnClicked: [{ type: Output }],
    onResetColumns: [{ type: Output }],
    onChangeProductionView: [{ type: Output }],
    onChangeModuleView: [{ type: Output }],
    productSearch: [{ type: Output }],
    addNewModule: [{ type: Output }],
    onChangeProductView: [{ type: Output }],
    defaultModuleView: [{ type: Input }],
    ontToggleResyncQBO: [{ type: Output }],
    viewMode: [{ type: Input }]
};
//# sourceMappingURL=kanban-header-grid.component.js.map