import { Component, Inject } from '@angular/core';
import { FormBuilder } from '@angular/forms';
import { MatDialogRef, MAT_DIALOG_DATA } from '@angular/material/dialog';
export class KanbanProductionCalendarDialogComponent {
    constructor(fb, dialogRef, data) {
        var _a;
        this.fb = fb;
        this.dialogRef = dialogRef;
        this.data = data;
        this.equipments = [];
        this.editFlag = false;
        this.form = this.fb.group({
            machineId: [''],
            scheduleDate: ['']
        });
        this.equipments = ((_a = this.data) === null || _a === void 0 ? void 0 : _a.equipments) || [];
    }
    ngOnInit() {
        this.editFlag = this.data.panel ? true : false;
        this.setFormValues();
    }
    setFormValues() {
        var _a, _b;
        const values = {
            machineId: ((_a = this.data) === null || _a === void 0 ? void 0 : _a.machineId) || '',
            scheduleDate: ((_b = this.data) === null || _b === void 0 ? void 0 : _b.scheduleDate) || '',
        };
        this.form.setValue(values);
    }
    onSave() {
        const formValues = this.form.getRawValue();
        console.log("KanbanProductionCalendarDialogComponent formValues", formValues);
        this.dialogRef.close(formValues);
    }
    onClose() {
        this.dialogRef.close();
    }
}
KanbanProductionCalendarDialogComponent.decorators = [
    { type: Component, args: [{
                selector: 'anterasoftware-kanban-production-calendar-dialog',
                template: "<div class=\"dialog-content-wrapper\">\r\n    <mat-toolbar matDialogTitle class=\"mat-accent m-0\">\r\n        <mat-toolbar-row>\r\n            <div><h2 *ngIf=\"editFlag; else newTitle\" class=\"swimlane-header\"> Edit Swimlane </h2>\r\n                <ng-template #newTitle>\r\n                    <h2 class=\"swimlane-header\"> What day would you like to schedule this job to and <br/> have a calendar to pick the day?</h2>\r\n                </ng-template></div>\r\n        </mat-toolbar-row>\r\n    </mat-toolbar>\r\n\r\n    <mat-dialog-content class=\"p-24 m-0\">\r\n\r\n        <form fxLayout=\"column\" class=\"swimlane-modal-container\" [formGroup]=\"form\" fxLayoutAlign=\"space-between\" [formGroup]=\"form\">\r\n            <!-- <div class=\"header-container\">\r\n                <h2 class=\"swimlane-header\">What day would you like to schedule this job to and have a calendar to pick the day?</h2>\r\n                <hr class=\"horizontal-line\">\r\n            </div> -->\r\n            <mat-form-field>\r\n                <mat-select formControlName=\"machineId\" placeholder=\"Select Machine\">\r\n                    <mat-option [value]=\"equipment.id\" *ngFor=\"let equipment of equipments\">{{ equipment.name }}</mat-option>\r\n                </mat-select>\r\n            </mat-form-field>\r\n        \r\n            <mat-form-field>\r\n                <input matInput formControlName=\"scheduleDate\" [matDatepicker]=\"picker\" placeholder=\"Select Day\">\r\n                <mat-datepicker-toggle matSuffix [for]=\"picker\"></mat-datepicker-toggle>\r\n                <mat-datepicker #picker></mat-datepicker>\r\n            </mat-form-field>\r\n        \r\n            <!-- <mat-form-field>\r\n                <mat-label> Select Total </mat-label>\r\n                <mat-select formControlName=\"totalType\" placeholder=\"Select Total\">\r\n                    <mat-option *ngFor=\"let item of totalList\" [value]=\"item\">\r\n                        {{item}}\r\n                    </mat-option>\r\n                </mat-select>\r\n                <mat-hint class=\"hint\"> Please select what you would like to total. </mat-hint>\r\n            </mat-form-field> -->\r\n        \r\n            <!-- <div fxLayout=\"column\" fxLayoutGap=\"4px\">\r\n                <button mat-button color=\"primary\" (click)=\"onSave()\" class=\"save-btn\" > Save </button>\r\n                <button mat-button (click)=\"onClose()\" class=\"cancel-btn\"> Cancel </button>\r\n            </div> -->\r\n        </form>\r\n\r\n    </mat-dialog-content>\r\n    <mat-dialog-actions class=\"m-0 p-16\" fxLayout=\"row\" fxLayoutAlign=\"space-between center\">\r\n        <div fxLayout=\"row\" fxLayoutAlign=\"start center\">\r\n            <button mat-button color=\"primary\" (click)=\"onSave()\" class=\"save-btn mat-raised-button mat-accent\" > Save </button>\r\n            <button mat-button (click)=\"onClose()\" class=\"cancel-btn mat-raised-button mat-accent\"> Cancel </button>\r\n        </div>\r\n\r\n    </mat-dialog-actions>\r\n</div>\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n<!-- <form fxLayout=\"column\" class=\"swimlane-modal-container\" [formGroup]=\"form\" fxLayoutAlign=\"space-between\" [formGroup]=\"form\">\r\n    <div class=\"header-container\">\r\n        <h2 class=\"swimlane-header\">What day would you like to schedule this job to and have a calendar to pick the day?</h2>\r\n        <hr class=\"horizontal-line\">\r\n    </div>\r\n    <mat-form-field>\r\n        <mat-select formControlName=\"machineId\" placeholder=\"Select Machine\">\r\n            <mat-option [value]=\"equipment.id\" *ngFor=\"let equipment of equipments\">{{ equipment.name }}</mat-option>\r\n        </mat-select>\r\n    </mat-form-field>\r\n\r\n    <mat-form-field>\r\n        <input matInput formControlName=\"scheduleDate\" [matDatepicker]=\"picker\" placeholder=\"Select Day\">\r\n        <mat-datepicker-toggle matSuffix [for]=\"picker\"></mat-datepicker-toggle>\r\n        <mat-datepicker #picker></mat-datepicker>\r\n    </mat-form-field>\r\n\r\n    !--------------- <mat-form-field>\r\n        <mat-label> Select Total </mat-label>\r\n        <mat-select formControlName=\"totalType\" placeholder=\"Select Total\">\r\n            <mat-option *ngFor=\"let item of totalList\" [value]=\"item\">\r\n                {{item}}\r\n            </mat-option>\r\n        </mat-select>\r\n        <mat-hint class=\"hint\"> Please select what you would like to total. </mat-hint>\r\n    </mat-form-field> \r\n\r\n    <div fxLayout=\"column\" fxLayoutGap=\"4px\">\r\n        <button mat-button color=\"primary\" (click)=\"onSave()\" class=\"save-btn\" > Save </button>\r\n        <button mat-button (click)=\"onClose()\" class=\"cancel-btn\"> Cancel </button>\r\n    </div>\r\n</form> -->\r\n",
                styles: [""]
            },] }
];
KanbanProductionCalendarDialogComponent.ctorParameters = () => [
    { type: FormBuilder },
    { type: MatDialogRef },
    { type: undefined, decorators: [{ type: Inject, args: [MAT_DIALOG_DATA,] }] }
];
//# sourceMappingURL=kanban-production-calendar-dialog.component.js.map