import { Component, EventEmitter, Input, Output } from '@angular/core';
import { MatDialog } from '@angular/material/dialog';
import { KanbanAddEditSwimLaneComponent } from '../kanban-add-edit-swimlane/kanban-add-edit-swimlane.component';
export class KanbanProductionViewComponent {
    constructor(dialog) {
        this.dialog = dialog;
        this.swimLaneList = [];
        this.statusList = [];
        this.onDropJob = new EventEmitter();
        this.editCard = new EventEmitter();
        this.selectClicked = new EventEmitter();
        this.onPin = new EventEmitter();
        this.onSwimLaneChange = new EventEmitter();
        this.onDeleteSwimLane = new EventEmitter();
        this.colorWarn = 'warn';
        this.modeWarn = 'determinate';
        this.valueWarn = 65;
        this.bufferValueWarn = 85;
        this.color = 'success';
        this.mode = 'determinate';
        this.value = 50;
        this.bufferValue = 75;
        this.defaultImg = '';
        this.dateFormatString = 'DD/MM/YYYY';
        this.timeFormatString = 'hh:mm a';
    }
    ngOnInit() {
    }
    drop(event, swimLane) {
        /* if(swimLane && swimLane.header && swimLane.header.title === 'Unscheduled Jobs') {
          let jobId = "";
            if(event.item && event.item.data) {
              jobId =  event.item.data.id
              
            }
            let job = {
              jobId: jobId,
              formValues: {
                machineId: "",
                scheduleDate: "",
              }
            }
          this.onUpdateJob.emit(job)
        } else {
            let dialogRef = this.dialog.open(KanbanProductionMachineDialogComponent, {
            width: '400px',
            height: '350px',
            data: {
              equipments: this.statusList,
              machineId: event.item.data.machineId
            },
          });
    
          dialogRef.afterClosed().subscribe((formValues: any) => {
            let jobId = "";
            if(event.item && event.item.data) {
              jobId =  event.item.data.id
              
            }
            if(formValues &&  formValues.machineId !="") {
              let job = {
                jobId: jobId,
                machineId: formValues.machineId,
                scheduleDate: swimLane.header.scheduleDate
              }
              this.onUpdateJob.emit(job)
            }
          });
        } */
        if (event && event.value) {
            let job = {
                production: event.value,
                status: swimLane,
            };
            this.onDropJob.emit(job);
        }
    }
    editCardDetails(card) {
        this.editCard.emit(card);
    }
    cardValueChange(card, swimLaneIndex, cardIndex) {
        // don't need this ngModel handles
        // this.swimLaneList[swimLaneIndex].cards[cardIndex] = card;
        //this.onSwimLaneChange.emit(this.swimLaneList);
        this.swimLaneList[swimLaneIndex].cards[cardIndex] = card;
        this.selectClicked.emit(this.swimLaneList);
    }
    pinned(cardDetails) {
        this.onPin.emit(cardDetails);
    }
    openSwimLaneDialog(panel) {
        let dialogRef = this.dialog.open(KanbanAddEditSwimLaneComponent, {
            width: '500px',
            height: '450px',
            panelClass: 'antera-details-dialog',
            data: {
                panel: panel,
                swimlaneLength: this.swimLaneList.length
            },
        });
        dialogRef.afterClosed().subscribe((formValues) => {
            if (formValues) {
                this.onSwimLaneChange.emit(formValues);
            }
        });
    }
    deleteSwimLane(swimlane) {
        this.onDeleteSwimLane.emit(swimlane);
    }
    onToggleAll(event, swimLaneIndex) {
        var _a;
        (_a = this.swimLaneList[swimLaneIndex]) === null || _a === void 0 ? void 0 : _a.cards.forEach((card) => card.select = event.checked);
        this.selectClicked.emit(this.swimLaneList);
    }
}
KanbanProductionViewComponent.decorators = [
    { type: Component, args: [{
                selector: 'anterasoftware-kanban-production-view',
                template: "<div cdkDropListGroup>\r\n    <div class=\"antera-swimlane-container\" *ngFor=\"let swimLane of swimLaneList; let i = index\">\r\n  \r\n    <header>\r\n      <div *ngIf=\"swimLane?.header; else newSwimLane\" fxLayout=\"row\" fxLayoutAlign=\"space-between\" class=\"kanban-header mat-elevation-z1\">\r\n        <div fxLayout=\"row\" class=\"title-container\">\r\n          <mat-checkbox class=\"checkbox-position mt-12\" (change)=\"onToggleAll($event, i)\"></mat-checkbox>\r\n            <div fxLayout=\"column\" class=\"title-position\" [matTooltip]=\"swimLane?.header?.title\">\r\n              <p class=\"text-truncate-status\">{{swimLane?.header?.title}}<br>\r\n                </p>\r\n            </div>\r\n        </div>\r\n        <button *ngIf=\"swimLane?.header?.title !== 'Pending' && swimLane?.header?.title !== 'Done'\" mat-button [matMenuTriggerFor]=\"openSwimLane\">\r\n            <mat-icon aria-hidden=\"false\" aria-label=\"Example home icon\">more_vert</mat-icon>\r\n        </button>\r\n      </div>\r\n       <!--  <div *ngIf=\"swimLane?.header; else newSwimLane\" class=\"swimlane-header-title\">\r\n          <div fxLayout=\"row\" class=\"title-container\">\r\n            <div fxLayout=\"column\" class=\"title-position\">\r\n                <p>{{swimLane?.header?.title}}<br>\r\n                </p>\r\n            </div>\r\n        </div>\r\n        <button mat-button [matMenuTriggerFor]=\"openSwimLane\">\r\n            <mat-icon aria-hidden=\"false\">more_vert</mat-icon>\r\n        </button>\r\n        </div> -->\r\n        <mat-menu #openSwimLane=\"matMenu\">\r\n          <button mat-menu-item (click)=\"openSwimLaneDialog(swimLane)\">\r\n              <span>Edit Lane</span>\r\n          </button>\r\n          <button mat-menu-item (click)=\"deleteSwimLane(swimLane)\">\r\n              <span>Delete Lane</span>\r\n          </button>\r\n        </mat-menu>\r\n        <ng-template #newSwimLane>\r\n          <div>\r\n              <button mat-button (click)=\"openSwimLaneDialog()\" class=\"center list-add-btn\">\r\n                  <mat-icon aria-hidden=\"false\" aria-label=\"Add Icon\">add_circle</mat-icon>\r\n                  Add Swimlane\r\n              </button>\r\n          </div>\r\n      </ng-template>\r\n    </header>\r\n      <!-- KANBAN SWIMLANE: ONE -->\r\n      <div class=\"antera-swimlane ngx-dnd-container\" ngxDroppable=\"card\" (drop)=\"drop($event,swimLane)\" [model]=\"swimlane\">\r\n        <div *ngFor=\"let card of swimLane.cards; let j = index\" class=\"card-container-dv ngx-dnd-item\" [ngxDraggable]=\"['card']\" [model]=\"card\">\r\n          <anterasoftware-kanban-production-view-card [cardDetails]=\"card\" (editCardDetails)=\"editCardDetails(card)\" (onCardDetailsChange)=\"cardValueChange(card, i, j)\" (pinned)=\"pinned(card)\" [dateFormatString]=\"dateFormatString\" [timeFormatString]=\"timeFormatString\"></anterasoftware-kanban-production-view-card>\r\n        </div>\r\n      </div>\r\n  \r\n      <!-- KANBAN SWIMLANE: CARD -->\r\n  \r\n  \r\n    </div>\r\n    \r\n  </div>\r\n",
                styles: ["@import url(\"https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;700&display=swap\");.antera-swimlane-container{background-color:#fff;display:inline-block;font-family:Roboto,sans-serif;max-width:100%;margin:0 25px 0 0;vertical-align:top;width:250px;border:1px solid #e8e8e8}.antera-swimlane-container header{background-color:transparent;min-height:50px;padding:0;border-bottom:1px solid #ddd}.antera-swimlane-container header .swimlane-header-date{background-color:transparent;color:#2d323e;display:block;font-size:12px;font-weight:700;height:25px;padding:10px 0 0;text-align:center}.antera-swimlane-container header .swimlane-header-title{background-color:transparent;color:#2d323e;display:block;font-size:16px;font-weight:700;height:27px;text-align:center;padding:15px 0}.antera-swimlane-container header .swimlane-header-percentage{background-color:transparent;color:#2d323e;display:block;font-size:12px;height:35px;padding:10px 0}.antera-swimlane-container header .swimlane-header-quick-stats{background-color:#797979;border-top:1px solid #fff;color:#fff;font-weight:100;height:50px;text-align:center}.antera-swimlane-container header .list-add-btn{width:100%;min-height:50px}.antera-swimlane-container header .title-container{margin-left:7px}.antera-swimlane-container header .title-container .checkbox-position{top:50%;left:5px}.antera-swimlane-container header .title-container .title-position{margin-left:8px;width:100px}.antera-swimlane-container header .title-container .title-position .text-truncate-status{overflow:hidden;text-overflow:ellipsis;white-space:nowrap}.antera-swimlane-container .antera-swimlane{background:#e4e4e4;border-radius:0;overflow-y:scroll;display:block;border:1px solid #ddd;border-top:none;border-bottom:none;height:calc(100vh - 240px);cursor:pointer}.antera-swimlane-container .antera-swimlane .swimlane-card{background-color:#fff;margin:0 0 5px;border-radius:0;border:1px solid #ddd;box-shadow:6px 1px 0 #b5b5b5;padding:0}.antera-swimlane-container .antera-swimlane .swimlane-card ::ng-deep .mat-card-header{border-bottom:1px solid #ddd}.antera-swimlane-container .antera-swimlane .swimlane-card ::ng-deep .mat-card-header .mat-card-header-text{padding:0;margin:0;width:100%}.antera-swimlane-container .antera-swimlane .swimlane-card ::ng-deep .mat-card-header .mat-card-header-text .mat-card-title{background-color:#f4ffb9;text-align:center;font-size:12px;padding:5px 0;font-weight:100;margin-bottom:0}.antera-swimlane-container .antera-swimlane .swimlane-card ::ng-deep .mat-card-content{font-size:14px;font-weight:400;padding:10px}.cdk-drag-preview{box-sizing:border-box;border-radius:4px;box-shadow:0 5px 5px -3px rgba(0,0,0,.2),0 8px 10px 1px rgba(0,0,0,.14),0 3px 14px 2px rgba(0,0,0,.12)}.cdk-drag-placeholder{opacity:0}.cdk-drag-animating{transition:transform .25s cubic-bezier(0,0,.2,1)}.example-box:last-child{border:none}.example-list.cdk-drop-list-dragging .example-box:not(.cdk-drag-placeholder){transition:transform .25s cubic-bezier(0,0,.2,1)}.progress-bar-container{width:100%;background-color:#e4e4e4;border-radius:2px}.progress-bar-div-gr{width:60%;height:15px;background-color:green;border-radius:2px}.progress-bar-div-red{width:60%;height:15px;background-color:red;border-radius:2px}.progress-left{float:left;width:40px;padding-left:5px}.progress-right{float:right;width:calc(100% - 40px);padding-right:2px}.card-container-dv{margin:0 0 8px}"]
            },] }
];
KanbanProductionViewComponent.ctorParameters = () => [
    { type: MatDialog }
];
KanbanProductionViewComponent.propDecorators = {
    swimLaneList: [{ type: Input }],
    statusList: [{ type: Input }],
    onDropJob: [{ type: Output }],
    editCard: [{ type: Output }],
    selectClicked: [{ type: Output }],
    onPin: [{ type: Output }],
    onSwimLaneChange: [{ type: Output }],
    onDeleteSwimLane: [{ type: Output }],
    defaultImg: [{ type: Input }],
    dateFormatString: [{ type: Input }],
    timeFormatString: [{ type: Input }]
};
//# sourceMappingURL=kanban-production-view.component.js.map