import { Component, Input, Output, EventEmitter } from '@angular/core';
export class KanbanSearchAdvancedFormComponent {
    constructor() {
        this.advancedSearchFormData = {
            title: '',
            description: '',
            filters: [{ value: '', name: '', hint: '' }],
        };
        this.page = '';
        this.mappingFields = [];
        this.reSynceNeeded = false;
        this.radioValues = [];
        this.inputValueChange = new EventEmitter();
        this.ontToggleResyncQBO = new EventEmitter();
        this.qboActive = false;
        //console.log("advancedSearchFormData",this.advancedSearchFormData);
    }
    ngOnInit() {
        this.radioValues = new Array(this.advancedSearchFormData.filters.length);
    }
    ngOnChanges() {
        this.radioValues = new Array(this.advancedSearchFormData.filters.length);
    }
    onRadioBtnChange(event, filter) {
        const foundFilter = this.advancedSearchFormData.filters.find((filterVal) => filterVal.id === filter.id) || null;
        if (foundFilter) {
            foundFilter.value = event.value;
        }
    }
    change(event, filter) {
        console.log("change event", event);
        console.log("change filter", filter);
        let data = {
            event,
            filter
        };
        this.inputValueChange.emit(data);
    }
    toggleResyncQBO(event) {
        this.ontToggleResyncQBO.emit(event);
    }
}
KanbanSearchAdvancedFormComponent.decorators = [
    { type: Component, args: [{
                selector: 'antera-lib-kanban-search-advanced-form',
                template: "<h2>{{advancedSearchFormData.title}}</h2>\r\n<p>{{advancedSearchFormData.description}}</p>\r\n\r\n<div  *ngFor=\"let filter of advancedSearchFormData.filters; let i = index;\"  class=\"filter-list\">\r\n\r\n  <ng-container [ngSwitch]=\"filter.type\" >\r\n      <ng-container *ngSwitchCase=\"'select'\" >\r\n        <mat-form-field appearance=\"fill\" *ngIf=\"filter?.multiple\">\r\n          <mat-label> {{ filter.name | orderColumnNameMapper: page :mappingFields }} </mat-label>\r\n        <mat-select [(ngModel)]=\"filter.value\" [disabled]=\"filter?.disabled || false\" multiple>\r\n            <mat-option *ngFor=\"let option of filter?.dropDown\" [value]=\"option\">\r\n              {{option}}\r\n            </mat-option>\r\n        </mat-select>\r\n        </mat-form-field>\r\n        <mat-form-field appearance=\"fill\" *ngIf=\"!filter?.multiple\">\r\n          <mat-label> {{ filter.name | orderColumnNameMapper: page : mappingFields }} </mat-label>\r\n        <mat-select [(ngModel)]=\"filter.value\" [disabled]=\"filter?.disabled || false\">\r\n            <mat-option *ngFor=\"let option of filter?.dropDown\" [value]=\"option\">\r\n              {{option}}\r\n            </mat-option>\r\n        </mat-select>\r\n        </mat-form-field>\r\n      </ng-container>\r\n\r\n      <ng-container *ngSwitchCase=\"'dropDownSelect'\" >\r\n        <mat-form-field appearance=\"fill\" *ngIf=\"filter?.multiple\">\r\n          <mat-label> {{ filter.name | orderColumnNameMapper: page :mappingFields }} </mat-label>\r\n        <mat-select [(ngModel)]=\"filter.value\" [disabled]=\"filter?.disabled || false\" multiple>\r\n            <mat-option *ngFor=\"let option of filter?.dropDown\" [value]=\"option.value\">\r\n              {{option.label}}\r\n            </mat-option>\r\n        </mat-select>\r\n        </mat-form-field>\r\n        <mat-form-field appearance=\"fill\" *ngIf=\"!filter?.multiple\">\r\n          <mat-label> {{ filter.name | orderColumnNameMapper: page : mappingFields }} </mat-label>\r\n        <mat-select [(ngModel)]=\"filter.value\" [disabled]=\"filter?.disabled || false\">\r\n            <mat-option *ngFor=\"let option of filter?.dropDown\" [value]=\"option.value\">\r\n              {{option.label}}\r\n            </mat-option>\r\n        </mat-select>\r\n        </mat-form-field>\r\n      </ng-container>\r\n\r\n      <ng-container *ngIf=\"page == 'Orders' &&  filter.name == 'isRushOrder' && qboActive\">\r\n        <div fxLayout=\"column\" fxLayoutGap=\"12px\">\r\n          <mat-label class=\"radio-title\"> Require Resync? </mat-label>\r\n          <mat-radio-group name=\"reSynceNeeded\" fxLayout=\"row\" fxLayoutGap=\"8px\" (change)=\"toggleResyncQBO($event)\">\r\n            <mat-radio-button value=\"Yes\" name=\"reSynceNeeded\" >Yes</mat-radio-button>\r\n            <mat-radio-button value=\"No\" name=\"reSynceNeeded\" >No</mat-radio-button>\r\n          </mat-radio-group>\r\n          </div>\r\n          <div class=\"margin-top-16\"></div>\r\n      </ng-container>\r\n\r\n      <ng-container *ngSwitchCase=\"'radio'\">\r\n        <div fxLayout=\"column\" fxLayoutGap=\"12px\">\r\n        <mat-label class=\"radio-title\"> {{ filter.name | orderColumnNameMapper: page : mappingFields }} </mat-label>\r\n        <mat-radio-group [selected]=\"radioValues[i]\" fxLayout=\"row\" fxLayoutGap=\"8px\" (change)=\"onRadioBtnChange($event, filter)\">\r\n          <mat-radio-button *ngFor=\"let option of filter.radioValues\" [value]=\"option\"> {{option}} </mat-radio-button>\r\n        </mat-radio-group>\r\n        </div>\r\n        <div class=\"margin-top-16\"></div>\r\n      </ng-container>\r\n\r\n      <ng-container *ngSwitchCase=\"'calendar'\">\r\n        <mat-form-field appearance=\"fill\">\r\n          <mat-label>{{filter.name | orderColumnNameMapper: page : mappingFields}}</mat-label>\r\n          <input matInput [matDatepicker]=\"picker\" [(ngModel)]=\"filter.value\">\r\n          <mat-datepicker-toggle matSuffix [for]=\"picker\"></mat-datepicker-toggle>\r\n          <mat-datepicker #picker></mat-datepicker>\r\n        </mat-form-field>\r\n\r\n      </ng-container>\r\n\r\n      <ng-container  *ngSwitchCase=\"'autocomplete'\">\r\n       <!--  <mat-form-field>\r\n          <input matInput [matAutocomplete]=\"auto\" type=\"text\" class=\"form-control\" (ngModelChange)=\"change($event,filter)\" [(ngModel)]=\"filter.value\" [ngModelOptions]=\"{standalone: true}\" placeholder=\"{{filter.name | orderColumnNameMapper: page}}\" >\r\n          <mat-autocomplete #auto=\"matAutocomplete\">\r\n            <mat-option *ngFor=\"let option of filter?.dropDown\" [value]=\"option\">\r\n              <span>{{option}}</span>\r\n            </mat-option>\r\n          </mat-autocomplete>\r\n        </mat-form-field> -->\r\n        <mat-form-field *ngIf=\"filter.name == 'vendorName'\">\r\n          <mat-label> {{filter.name | orderColumnNameMapper: page : mappingFields}} </mat-label>\r\n          <mat-select\r\n                multiple disableRipple \r\n                class=\"form-control\"\r\n                [(ngModel)]=\"filter.value\"\r\n                panelClass=\"vendor-dropDown-select\"\r\n                >\r\n                <mat-option class=\"filter-input\" (click)=\"$event.preventDefault()\" disabled>\r\n                    <input matInput autocomplete=\"off\"\r\n                        (input)=\"change($event.target.value,filter)\"\r\n                        (keydown)=\"$event.stopPropagation()\"\r\n                        placeholder=\"{{filter.name | orderColumnNameMapper: page : mappingFields}}\"/>\r\n                    <!-- <button mat-icon-button (click)=\"clearStoreSearch()\">\r\n                        <mat-icon>close</mat-icon>\r\n                    </button> -->\r\n                </mat-option>\r\n                <ng-container *ngFor=\"let option of filter?.dropDown\">\r\n                    <mat-option [value]=\"option\">\r\n                        {{option}}\r\n                    </mat-option>\r\n                </ng-container>\r\n            </mat-select >\r\n          </mat-form-field>\r\n          <mat-form-field *ngIf=\"filter.name != 'vendorName'\">\r\n            <mat-label> {{filter.name | orderColumnNameMapper: page : mappingFields}} </mat-label>\r\n            <mat-select\r\n                  multiple disableRipple \r\n                  class=\"form-control\"\r\n                  [(ngModel)]=\"filter.value\"\r\n                  [panelClass]=\"\"\r\n                  >\r\n                  <mat-option class=\"filter-input\" (click)=\"$event.preventDefault()\" disabled>\r\n                      <input matInput autocomplete=\"off\"\r\n                          (input)=\"change($event.target.value,filter)\"\r\n                          (keydown)=\"$event.stopPropagation()\"\r\n                          placeholder=\"{{filter.name | orderColumnNameMapper: page : mappingFields}}\"/>\r\n                      <!-- <button mat-icon-button (click)=\"clearStoreSearch()\">\r\n                          <mat-icon>close</mat-icon>\r\n                      </button> -->\r\n                  </mat-option>\r\n                  <ng-container *ngFor=\"let option of filter?.dropDown\">\r\n                      <mat-option [value]=\"option\">\r\n                          {{option}}\r\n                      </mat-option>\r\n                  </ng-container>\r\n              </mat-select >\r\n            </mat-form-field>\r\n    </ng-container>\r\n\r\n      <ng-container *ngSwitchDefault>\r\n        <mat-form-field appearance=\"fill\"  class=\"full-width\">\r\n          <mat-label>{{filter.name | orderColumnNameMapper: page : mappingFields}}</mat-label>\r\n        <input matInput [(ngModel)]=\"filter.value\">\r\n        <mat-hint *ngIf=\"filter?.hint?.length > 0\">ie: \"{{filter.hint}}\"</mat-hint>\r\n      </mat-form-field>\r\n    </ng-container>\r\n    \r\n    </ng-container>\r\n</div>\r\n\r\n\r\n\r\n",
                styles: [".full-width{min-width:100%}.display-none{display:none}.margin-top-16{margin-top:16px}.radio-title{font-size:18px}:host ::ng-deep .filter-list .mat-form-field{width:100%}.filter-input .mat-option-pseudo-checkbox{display:none}.filter-input .mat-icon-button{position:absolute;top:4px;right:0}.filter-input .mat-icon-button .mat-icon{margin:0}.resync-title{font-size:18px}"]
            },] }
];
KanbanSearchAdvancedFormComponent.ctorParameters = () => [];
KanbanSearchAdvancedFormComponent.propDecorators = {
    advancedSearchFormData: [{ type: Input }],
    page: [{ type: Input }],
    mappingFields: [{ type: Input }],
    reSynceNeeded: [{ type: Input }],
    inputValueChange: [{ type: Output }],
    ontToggleResyncQBO: [{ type: Output }],
    qboActive: [{ type: Input }]
};
//# sourceMappingURL=kanban-search-advanced-form.component.js.map