import { Component, EventEmitter, Input, Output, ViewChild } from '@angular/core';
import { AdvancedSearchContainerData } from '../../models/common';
import { KanbanSearchAdvancedFormComponent } from '../kanban-search-advanced-form/kanban-search-advanced-form.component';
import { KanbanSearchTagFilterDataComponent } from '../kanban-search-tag-filter-data/kanban-search-tag-filter-data.component';
export class KanbanSearchAdvancedComponent {
    constructor() {
        // TODO  add savedsearch strcture
        // @Input() savedSearch: {} = {};
        this.advancedSearchFormData = {
            title: '',
            description: '',
            filters: []
        };
        this.anteraFilterOptions = [];
        this.advancedSearchContainerData = {
            advancedSearchContainer: '',
            titleAdvancedSearch: '',
            excerptAdvancedSearch: ''
        };
        this.page = '';
        this.advancedSearchSavedValues = new EventEmitter();
        this.tagForm = {};
        this.filterForm = {};
        this.autoComplete = new EventEmitter();
        this.showProductDeleted = 0;
        this.reSynceNeeded = false;
        this.ontToggleResyncQBO = new EventEmitter();
        this.onToggleAccountType = new EventEmitter();
        this.qboActive = false;
        this.mappingFields = [];
    }
    ngOnInit() {
    }
    /**
     * Emits the values of the advanced search form.
     *
     * @returns {void}
     */
    saveAdvancedSearch() {
        var _a;
        // TODO Clean this function up
        const tagValue = this.tagForm.anteraFilterForm.value;
        const tagName = (_a = this.anteraFilterOptions.find((tag) => tag.value === tagValue)) === null || _a === void 0 ? void 0 : _a.key;
        // const tagFormValues = {key: th ,value: this.tagForm.anteraFilterForm.value };
        const tagFormValues = { tagName, tagValue };
        const filterFormValues = this.filterForm.advancedSearchFormData.filters;
        const showProductDeleted = { isDeleted: this.showProductDeleted };
        // filterFormValues.forEach((filter: Filters) => filter.value = (filter?.type === 'calendar' && moment(filter?.value)) || filter.value)
        const savedValues = Object.assign({ tag: tagFormValues, showProductDeleted: showProductDeleted }, JSON.parse(JSON.stringify(filterFormValues)));
        this.advancedSearchSavedValues.emit(savedValues);
        this.tagForm.anteraFilterForm.patchValue('');
        // TODO MIGHT be unnecessary
        this.filterForm.advancedSearchFormData.filters.forEach((filter) => filter.value = '');
        this.filterForm.radioValues.forEach((radiovalue) => radiovalue = '');
    }
    inputValueChange(event) {
        this.autoComplete.emit(event);
    }
    toggleResyncQBO(event) {
        this.ontToggleResyncQBO.emit(event);
    }
    changeAccType(event) {
        this.onToggleAccountType.emit(event);
    }
}
KanbanSearchAdvancedComponent.decorators = [
    { type: Component, args: [{
                selector: 'antera-lib-kanban-search-advanced',
                template: "<div id=\"tab-advanced-search\">\r\n  <br>\r\n  <h1>{{ advancedSearchContainerData.titleAdvancedSearch }}</h1>\r\n  <p>{{ advancedSearchContainerData.excerptAdvancedSearch }}</p>\r\n\r\n  <div *ngIf=\"page == 'Contacts'\">\r\n    <mat-radio-group fxLayout=\"row\" fxLayoutGap=\"8px\" (change)=\"changeAccType($event)\">\r\n      <mat-radio-button class=\"mr-40\" value=\"Vendor\"> Vendors </mat-radio-button>\r\n      <mat-radio-button class=\"ml-40\" value=\"Customer\"> Customers </mat-radio-button>\r\n    </mat-radio-group>\r\n  </div>\r\n  <mat-form-field class=\"field-100\" appearance=\"fill\" *ngIf=\"page == 'Products'\">\r\n    <mat-label> Select Product Status </mat-label>\r\n    <mat-select [(ngModel)]=\"showProductDeleted\">\r\n        <mat-option [value]=\"0\" >\r\n          Show Active\r\n        </mat-option>\r\n        <mat-option [value]=\"1\">\r\n          Show Inactive\r\n        </mat-option>\r\n        <mat-option [value]=\"2\">\r\n          Show All\r\n        </mat-option>\r\n    </mat-select>\r\n  </mat-form-field>\r\n  <antera-lib-kanban-search-tag-filter-data #tagForm [anteraFilterOptions]=\"anteraFilterOptions\"></antera-lib-kanban-search-tag-filter-data>\r\n  <antera-lib-kanban-search-advanced-form #filterForm [advancedSearchFormData]=\"advancedSearchFormData\" [page]=\"page\" (inputValueChange)=\"inputValueChange($event)\" (ontToggleResyncQBO)=\"toggleResyncQBO($event)\" [reSynceNeeded]=\"reSynceNeeded\" [qboActive]=\"qboActive\" [mappingFields]=\"mappingFields\"></antera-lib-kanban-search-advanced-form>\r\n</div>\r\n<div class=\"sticky-footer\">\r\n  <button mat-flat-button color=\"primary\" style=\"width: 100%\" (click)=\"saveAdvancedSearch()\">Search</button>\r\n</div>\r\n",
                styles: [".field-100{width:100%}"]
            },] }
];
KanbanSearchAdvancedComponent.ctorParameters = () => [];
KanbanSearchAdvancedComponent.propDecorators = {
    advancedSearchFormData: [{ type: Input }],
    anteraFilterOptions: [{ type: Input }],
    advancedSearchContainerData: [{ type: Input }],
    page: [{ type: Input }],
    advancedSearchSavedValues: [{ type: Output }],
    tagForm: [{ type: ViewChild, args: ['tagForm',] }],
    filterForm: [{ type: ViewChild, args: ['filterForm',] }],
    autoComplete: [{ type: Output }],
    showProductDeleted: [{ type: Input }],
    reSynceNeeded: [{ type: Input }],
    ontToggleResyncQBO: [{ type: Output }],
    onToggleAccountType: [{ type: Output }],
    qboActive: [{ type: Input }],
    mappingFields: [{ type: Input }]
};
//# sourceMappingURL=kanban-search-advanced.component.js.map