import { Pipe } from '@angular/core';
import { AccountsMapper, OrderTableColumNameMapper, QuotesTableColumNameMapper, ArtworkMapper, ProductsMapper, ProductionMapper, LeadsMapper, OpportunitiesMapper, ContactsMapper } from '../../models/Orders/order-list';
export class OrderColumnNameMapperPipe {
    transform(value, page, mappingFields) {
        let foundValue;
        if (mappingFields) {
            foundValue = mappingFields.find((field) => field.fieldName === value.trim());
        }
        if (!foundValue || foundValue.labelName == '') {
            if (page === 'Quotes') {
                foundValue = QuotesTableColumNameMapper.find((col) => col.key === value.trim());
            }
            else if (page === 'Orders') {
                foundValue = OrderTableColumNameMapper.find((col) => col.key === value.trim());
            }
            else if (page === 'Accounts') {
                foundValue = AccountsMapper.find((col) => col.key === value.trim());
            }
            else if (page === 'Artwork') {
                foundValue = ArtworkMapper.find((col) => col.key === value.trim());
            }
            else if (page === 'Products') {
                foundValue = ProductsMapper.find((col) => col.key === value.trim());
            }
            else if (page === 'Production') {
                foundValue = ProductionMapper.find((col) => col.key === value.trim());
            }
            else if (page === 'Leads') {
                foundValue = LeadsMapper.find((col) => col.key === value.trim());
            }
            else if (page === 'Opportunities') {
                foundValue = OpportunitiesMapper.find((col) => col.key === value.trim());
            }
            else if (page === 'Contacts') {
                foundValue = ContactsMapper.find((col) => col.key === value.trim());
            }
            if (foundValue)
                return foundValue.value;
        }
        else {
            if (foundValue)
                return foundValue.labelName;
        }
        return value;
    }
}
OrderColumnNameMapperPipe.decorators = [
    { type: Pipe, args: [{
                name: 'orderColumnNameMapper'
            },] }
];
//# sourceMappingURL=order-column-name-mapper.pipe.js.map