import { Component, EventEmitter, Input, Output } from '@angular/core';
import { KanbanProductionCalendarDialogComponent } from '../kanban-production-calendar-dialog/kanban-production-calendar-dialog.component';
import { MatDialog } from '@angular/material/dialog';
import * as moment from 'moment';
export class ProductionKanbanMachineViewContainerComponent {
    constructor(dialog) {
        this.dialog = dialog;
        this.swimLaneList = [];
        this.equipments = [];
        this.onUpdateJob = new EventEmitter();
        this.defaultImg = '';
        this.editCard = new EventEmitter();
        this.colorWarn = 'warn';
        this.modeWarn = 'determinate';
        this.valueWarn = 65;
        this.bufferValueWarn = 85;
        this.color = 'success';
        this.mode = 'determinate';
        this.value = 50;
        this.bufferValue = 75;
        this.dateFormatString = 'DD/MM/YYYY';
        this.timeFormatString = 'hh:mm a';
    }
    ngOnInit() {
    }
    drop(event, swimLane) {
        if (swimLane && swimLane.header && swimLane.header.title === 'Unscheduled Jobs') {
            let jobId = "";
            if (event && event.value) {
                jobId = event.value.id;
            }
            let data = {
                job: event.value,
                machineId: "",
                scheduleDate: "",
            };
            this.onUpdateJob.emit(data);
        }
        else {
            let dialogRef = this.dialog.open(KanbanProductionCalendarDialogComponent, {
                width: '500px',
                height: '310px',
                panelClass: 'custom-dialog-container',
                data: {
                    equipments: this.equipments,
                    machineId: event.value.machineId,
                    scheduleDate: event.value.scheduleDate,
                },
            });
            dialogRef.afterClosed().subscribe((formValues) => {
                let jobId = "";
                if (event && event.value) {
                    jobId = event.value.id;
                }
                if (jobId && formValues.machineId) {
                    let data = {
                        job: event.value,
                        machineId: formValues.machineId,
                        scheduleDate: formValues.scheduleDate ? moment(formValues.scheduleDate, 'YYYY-MM-DD').toDate() : ''
                    };
                    this.onUpdateJob.emit(data);
                }
            });
        }
    }
    edit(card) {
        this.editCard.emit(card);
    }
}
ProductionKanbanMachineViewContainerComponent.decorators = [
    { type: Component, args: [{
                selector: 'anterasoftware-production-kanban-machine-view-container',
                template: "<div cdkDropListGroup>\r\n\r\n    <!-- KANBAN SWIMLANE CONTAINER: ONE -->\r\n    <div class=\"antera-swimlane-container\" *ngFor=\"let swimLane of swimLaneList; let i = index\">\r\n  \r\n      <header *ngIf=\"i === 0\">\r\n        <div class=\"swimlane-header-title\">{{swimLane?.header?.title}}</div>\r\n  \r\n        <div class=\"swimlane-header-percentage\" fxLayout=\"row\" fxLayoutAlign=\"space-around center\">\r\n          <div class=\"progress-left\">{{value}}%</div>\r\n          <div class=\"progress-right\">\r\n            <div class=\"progress-bar-container\">\r\n              <div class=\"progress-bar-div-red\"></div>\r\n            </div>\r\n          </div>\r\n        </div>\r\n  \r\n        <div class=\"swimlane-header-quick-stats\" fxLayout=\"row\" fxLayoutAlign=\"space-around center\">\r\n          <div fxflex=\"33\">\r\n            <div fxLayout=\"column\">\r\n              <div>{{swimLane?.header?.jobs}}</div>\r\n              <div>Jobs</div>\r\n            </div>\r\n          </div>\r\n          <div fxflex=\"33\">\r\n            <div fxLayout=\"column\">\r\n              <div>{{swimLane?.header?.pieces}}</div>\r\n              <div>Pieces</div>\r\n            </div>\r\n          </div>\r\n          <div fxflex=\"33\">\r\n            <div fxLayout=\"column\">\r\n              <div>{{swimLane?.header?.hours}}</div>\r\n              <div>Hours</div>\r\n            </div>\r\n          </div>\r\n        </div>\r\n      </header>\r\n\r\n      <header *ngIf=\"i !== 0\">\r\n        <div class=\"swimlane-header-title\">{{swimLane?.header?.title}}</div>\r\n  \r\n        <div class=\"swimlane-header-percentage\" fxLayout=\"row\" fxLayoutAlign=\"space-around center\">\r\n          <div class=\"progress-left\">{{value}}%</div>\r\n          <div class=\"progress-right\">\r\n            <div class=\"progress-bar-container\">\r\n              <div class=\"progress-bar-div-red\"></div>\r\n            </div>\r\n          </div>\r\n        </div>\r\n  \r\n        <div class=\"swimlane-header-quick-stats\" fxLayout=\"row\" fxLayoutAlign=\"space-around center\">\r\n          <div fxflex=\"33\">\r\n            <div fxLayout=\"column\">\r\n              <div>{{swimLane?.header?.jobs}}</div>\r\n              <div>Jobs</div>\r\n            </div>\r\n          </div>\r\n          <div fxflex=\"33\">\r\n            <div fxLayout=\"column\">\r\n              <div>{{swimLane?.header?.pieces}}</div>\r\n              <div>Pieces</div>\r\n            </div>\r\n          </div>\r\n          <div fxflex=\"33\">\r\n            <div fxLayout=\"column\">\r\n              <div>{{swimLane?.header?.hours}}</div>\r\n              <div>Hours</div>\r\n            </div>\r\n          </div>\r\n        </div>\r\n      </header>\r\n  \r\n      <!-- KANBAN SWIMLANE: ONE -->\r\n      <div class=\"antera-swimlane ngx-dnd-container\" ngxDroppable=\"card\" (drop)=\"drop($event,swimLane)\" [model]=\"swimlane\">\r\n        <div *ngFor=\"let card of swimLane.cards; let j = index\" class=\"card-container-dv ngx-dnd-item\" [ngxDraggable]=\"['card']\" [model]=\"card\">\r\n          <anterasoftware-production-kanban-machine-view-card [cardDetails]=\"card\" [dateFormatString]=\"dateFormatString\" [timeFormatString]=\"timeFormatString\" (click)=\"edit(card)\"></anterasoftware-production-kanban-machine-view-card>\r\n        </div>\r\n      </div>\r\n  \r\n      <!-- KANBAN SWIMLANE: CARD -->\r\n  \r\n  \r\n    </div>\r\n    \r\n  </div>\r\n",
                styles: ["@import url(\"https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;700&display=swap\");.antera-swimlane-container{background-color:#fff;display:inline-block;font-family:Roboto,sans-serif;max-width:100%;margin:0 25px 0 0;vertical-align:top;width:250px;border:1px solid #e8e8e8}.antera-swimlane-container header{background-color:transparent;min-height:110px;padding:0;border-bottom:1px solid #ddd}.antera-swimlane-container header .swimlane-header-date{background-color:transparent;color:#2d323e;display:block;font-size:12px;font-weight:700;height:25px;padding:10px 0 0;text-align:center}.antera-swimlane-container header .swimlane-header-title{background-color:transparent;color:#2d323e;display:block;font-size:16px;font-weight:700;height:27px;padding:8px 0 0;text-align:center}.antera-swimlane-container header .swimlane-header-percentage{background-color:transparent;color:#2d323e;display:block;font-size:12px;height:35px;padding:10px 0}.antera-swimlane-container header .swimlane-header-quick-stats{background-color:#797979;border-top:1px solid #fff;color:#fff;font-weight:100;height:50px;text-align:center}.antera-swimlane-container .antera-swimlane{background:#e4e4e4;border-radius:0;display:block;border:1px solid #ddd;border-top:none;border-bottom:none;overflow-y:scroll;height:calc(100vh - 345px);cursor:pointer}.antera-swimlane-container .antera-swimlane .swimlane-card{background-color:#fff;margin:0 0 5px;border-radius:0;border:1px solid #ddd;box-shadow:6px 1px 0 #b5b5b5;padding:0}.antera-swimlane-container .antera-swimlane .swimlane-card ::ng-deep .mat-card-header{border-bottom:1px solid #ddd}.antera-swimlane-container .antera-swimlane .swimlane-card ::ng-deep .mat-card-header .mat-card-header-text{padding:0;margin:0;width:100%}.antera-swimlane-container .antera-swimlane .swimlane-card ::ng-deep .mat-card-header .mat-card-header-text .mat-card-title{background-color:#f4ffb9;text-align:center;font-size:12px;padding:5px 0;font-weight:100;margin-bottom:0}.antera-swimlane-container .antera-swimlane .swimlane-card ::ng-deep .mat-card-content{font-size:14px;font-weight:400;padding:10px}.cdk-drag-preview{box-sizing:border-box;border-radius:4px;box-shadow:0 5px 5px -3px rgba(0,0,0,.2),0 8px 10px 1px rgba(0,0,0,.14),0 3px 14px 2px rgba(0,0,0,.12)}.cdk-drag-placeholder{opacity:0}.cdk-drag-animating{transition:transform .25s cubic-bezier(0,0,.2,1)}.example-box:last-child{border:none}.example-list.cdk-drop-list-dragging .example-box:not(.cdk-drag-placeholder){transition:transform .25s cubic-bezier(0,0,.2,1)}.progress-bar-container{width:100%;background-color:#e4e4e4;border-radius:2px}.progress-bar-div-gr{width:60%;height:15px;background-color:green;border-radius:2px}.progress-bar-div-red{width:60%;height:15px;background-color:red;border-radius:2px}.progress-left{float:left;width:40px;padding-left:5px}.progress-right{float:right;width:calc(100% - 40px);padding-right:2px}"]
            },] }
];
ProductionKanbanMachineViewContainerComponent.ctorParameters = () => [
    { type: MatDialog }
];
ProductionKanbanMachineViewContainerComponent.propDecorators = {
    swimLaneList: [{ type: Input }],
    equipments: [{ type: Input }],
    onUpdateJob: [{ type: Output }],
    defaultImg: [{ type: Input }],
    editCard: [{ type: Output }],
    dateFormatString: [{ type: Input }],
    timeFormatString: [{ type: Input }]
};
//# sourceMappingURL=production-kanban-machine-view-container.component.js.map