import { EventEmitter, OnInit } from '@angular/core';
import { MatCheckbox } from '@angular/material/checkbox/checkbox';
import { MatSort, Sort } from '@angular/material/sort';
import { AccountListMapperI } from '../../models/account-list/account-list';
export declare class KanbanAccountListViewComponent implements OnInit {
    sort: MatSort;
    listDataSource: any[];
    displayedColumns: string[];
    pageSizeOptions: number[];
    tableLength: number;
    page: string;
    displayActionsBar: boolean;
    dateFormatString: string;
    timeFormatString: string;
    mappingFields: any[];
    selectClicked: EventEmitter<any>;
    onColumnClick: EventEmitter<any>;
    onPaginateFire: EventEmitter<any>;
    onSortFired: EventEmitter<any>;
    dataSource: any;
    selectAll: boolean;
    pageSize: number;
    constructor();
    ngOnInit(): void;
    ngOnChanges(): void;
    appendColumns(): void;
    /**
     * Toggles, so all checkboxes are selected.
     *
     * @returns {void}
     */
    toggleAll(selectType: string, checkbox?: MatCheckbox, selectedRow?: AccountListMapperI): void;
    /**
     * On column click, emit the colum name and the row selected.
     *
     * @param {AccountListMapperI} element
     * @param {string} columnName
     * @returns {void}
     */
    onColumnClicked(element: AccountListMapperI, columnName: string): void;
    /**
     * On paginate emit event;
     *
     * @returns {void}
     */
    paginate(event: any): void;
    /**
     * On material sort fire event.
     *
     * @returns {void}
     */
    onListViewSort(event: Sort): void;
    getDateFormat(date: any, includeTime?: boolean, excludeTime?: boolean, convert?: boolean): string;
}
//# sourceMappingURL=kanban-account-list-view.component.d.ts.map