import { EventEmitter } from '@angular/core';
import { KeyValue } from '../../models/common';
export declare class KanbanFilterBarComponent {
    constructor();
    filterList: KeyValue[];
    showUpdateSearchFlag: boolean;
    page: string;
    onClearAll: EventEmitter<any>;
    saveSearchResult: EventEmitter<any>;
    onRemoveFilter: EventEmitter<any>;
    onUpdateExistingSearch: EventEmitter<any>;
    mappingFields: any[];
    removeBtn: boolean;
    /**
     * Clears the filter list and emits result.
     *
     * @returns {void}
     */
    clearAll(): void;
    /**
     * Saves the search and emits result.
     *
     * @returns {void}
     */
    saveSearch(): void;
    /**
     * Removes the filter and emits result.
     *
     * @returns {void}
     */
    removeFilter(filter: KeyValue): void;
    /**
     * Updates the saved search.
     *
     * @returns {void}
     */
    updateSavedSearch(): void;
}
//# sourceMappingURL=kanban-filter-bar.component.d.ts.map