import { EventEmitter, OnInit } from '@angular/core';
import { FormBuilder } from '@angular/forms';
import { MatCheckbox } from '@angular/material/checkbox';
import { KeyValue, KeyValueI } from '../../models/common';
export declare class KanbanHeaderGridComponent implements OnInit {
    private fb;
    title: string;
    scopeOptions: Array<string>;
    enableViewOptionsList: Array<KeyValueI>;
    calendarOptionsList: Array<string>;
    calendarTypeList: Array<string>;
    selectedCalendar: string;
    cogList: Array<string>;
    viewMyItems: boolean;
    summaryBilling: boolean;
    showSummaryBilling: boolean;
    reSynceNeeded: boolean;
    addBtnList: KeyValue[];
    page: string;
    showClearAllBtn: boolean;
    calendarOptionsArtworkList: Array<string>;
    moduleViewOptionsList: Array<string>;
    defaultProductView: string;
    mappingFields: any[];
    search: EventEmitter<any>;
    openAdvancedSearch: EventEmitter<any>;
    showKanbanView: EventEmitter<any>;
    onEnableOptionsChange: EventEmitter<any>;
    onCalendarDateClicked: EventEmitter<any>;
    onAddBtnClicked: EventEmitter<any>;
    onToggleViewMyItems: EventEmitter<any>;
    onToggleSummaryBilling: EventEmitter<any>;
    onCalendarTypeToggle: EventEmitter<any>;
    onSettingListClicked: EventEmitter<any>;
    onClearFilterBtnClicked: EventEmitter<any>;
    onResetColumns: EventEmitter<any>;
    onChangeProductionView: EventEmitter<any>;
    onChangeModuleView: EventEmitter<any>;
    productSearch: EventEmitter<any>;
    addNewModule: EventEmitter<any>;
    onChangeProductView: EventEmitter<any>;
    defaultModuleView: string;
    ontToggleResyncQBO: EventEmitter<any>;
    selectedView: string;
    viewMode: string;
    showKanbanViewFlag: boolean;
    simpleSearchForm: import("@angular/forms").FormGroup;
    private defaultSelected;
    private selection;
    constructor(fb: FormBuilder);
    ngOnInit(): void;
    /**
     * Basic search that emits event based on search result.
     *
     * @returns {void}
     */
    simpleSearch(): void;
    /**
     * Searches and sends value to the parent component.
     *
     * @param {string} searchKey
     * @returns {void}
     */
    openSearch(pageToOpen: string): void;
    /**
     * Emits event when clear all btn on header is clicked.
     *
     * @returns {void}
     */
    onClearAllClicked(): void;
    /**
     * Displays the kanban view or list view based on current page.
     *
     * @returns {void}
     */
    displayKanbanPage(): void;
    /**
     * On change of the list of enable view options,
     * event is fired.
     *
     * @returns {void}
     */
    onEnableViewOptions(): void;
    /**
     * On selection of calendar list, event is fired.
     *
     * @param {string} date
     * @returns {void}
     */
    onCalendarListClick(date: string): void;
    /**
     * Emits event when add product is clicked.
     *
     * @returns {void}
     */
    addBtnClicked(menuSelected: string): void;
    /**
     * Toggles view my items check box on.
     *
     * @param {MatCheckbox} event
     * @returns {void}
     */
    toggleViewMyItems(event: MatCheckbox | any): void;
    /**
     * Toggles summary billing checkbox on.
     *
     * @param {MatCheckbox} event
     * @returns {void}
     */
    toggleSummaryBilling(event: MatCheckbox | any): void;
    /**
     * Emits event when new calendar search is selected.
     *
     * @returns {void}
     */
    onCalendarTypeChange(): void;
    onReorderColumnList(event: any): void;
    onSettingListChange(setting: string): void;
    onColumnListReorder(event: any): void;
    changeView(ev: any): void;
    changeProductionView(ev: any): void;
    changeProductView(ev: any): void;
    changeModuleView(event: any): void;
    advanceProductSearch(): void;
    addModule(): void;
    toggleResyncQBO(event: MatCheckbox | any): void;
}
//# sourceMappingURL=kanban-header-grid.component.d.ts.map