import { EventEmitter, OnInit } from '@angular/core';
import { MatCheckbox } from '@angular/material/checkbox';
import { MatSort, Sort } from '@angular/material/sort';
import { OrderListMapperI } from '../../models/Orders/order-list';
import { KeyValueI, KeyValue } from '../../models/common';
export declare class KanbanOrderListViewComponent implements OnInit {
    sort: MatSort;
    listDataSource: any[];
    displayedColumns: string[];
    pageSizeOptions: number[];
    tableLength: number;
    page: string;
    displayActionsBar: boolean;
    dateFormatString: string;
    timeFormatString: string;
    mappingFields: any[];
    selectClicked: EventEmitter<any>;
    onFavoriteToggle: EventEmitter<any>;
    onColumnClick: EventEmitter<any>;
    onPaginateFire: EventEmitter<any>;
    onSortFired: EventEmitter<any>;
    onResyncQBOStatus: EventEmitter<any>;
    totalColumnDropdownList: KeyValueI[];
    dataSource: any;
    selectAll: boolean;
    readonly colors: any;
    pageSize: number;
    totalPriceSelectedColumn: KeyValue;
    constructor();
    ngOnInit(): void;
    ngOnChanges(): void;
    /**
     * This method attaches the select column no
     * matter what is passed into display columns
     *
     * @returns {void}
     */
    appendColumns(): void;
    /**
     * Toggles, so all checkboxes are selected.
     *
     * @returns {void}
     */
    toggleAll(selectType: string, checkbox?: MatCheckbox, selectedRow?: OrderListMapperI): void;
    /**
     * Toggles on select of favorite.
     *
     * @param {KanbanTableI} element
     * @returns {void}
     */
    onFavoriteClick(element: OrderListMapperI): void;
    /**
     * On column click, emit the colum name and the row selected.
     *
     * @param {OrderListMapperI} element
     * @param {string} columnName
     * @returns {void}
     */
    onColumnClicked(element: OrderListMapperI, columnName: string): void;
    /**
     * On paginate emit event;
     *
     * @returns {void}
     */
    paginate(event: any): void;
    /**
     * Checks to see if divider should exist in activities column.
     *
     * @param {OrderListMapperI} tableRow
     * @returns {void}
     */
    checkShouldHaveDivider(tableRow: OrderListMapperI): boolean;
    /**
     * Updates the total price column based on what is selected on header
     * dropdown.
     *
     * @returns {void}
     */
    updateTotalPriceSelectedColumn(menuItem: KeyValueI): void;
    /**
     * On material sort fire event.
     *
     * @returns {void}
     */
    onListViewSort(event: Sort): void;
    getDateFormat(date: any, includeTime?: boolean, excludeTime?: boolean, convert?: boolean): string;
    resyncQBOStatus(orderId: string): void;
}
//# sourceMappingURL=kanban-list-view.component.d.ts.map