import { EventEmitter, OnInit } from '@angular/core';
import { MatCheckbox } from '@angular/material/checkbox';
import { SearchCardI } from '../../models/list-view/kanbanList';
export declare class KanbanSearchCardComponent implements OnInit {
    cardDetails: SearchCardI;
    page: string;
    mappingFields: any[];
    onDeleteCard: EventEmitter<any>;
    onSelectToggle: EventEmitter<any>;
    onQuickViewToggle: EventEmitter<any>;
    onSharedToggle: EventEmitter<any>;
    onHideCard: EventEmitter<any>;
    constructor();
    ngOnInit(): void;
    /**
     * Delete emits event.
     *
     * @returns {void}
     */
    onDeleteSearchCard(): void;
    onHideSearchCard(): void;
    /**
     * Select emits event.
     *
     * @returns {void}
     */
    onSelectEmitted(): void;
    /**
     * Enables or disables the quick for the saved search.
     *
     * @param {MatCheckbox} event
     * @returns {void}
     */
    onEnableQuickSearch(event: MatCheckbox): void;
    /**
     * Enables the share on the search card.
     *
     * @param {MatCheckbox} event
     * @returns {void}
     */
    onEnableShare(event: MatCheckbox): void;
}
//# sourceMappingURL=kanban-search-card.component.d.ts.map