import { EventEmitter, OnInit } from '@angular/core';
import { AdvancedSearchContainerData, AdvancedSearchFormData, KeyValue } from '../../models/common';
import { SearchCardI } from '../../models/list-view/kanbanList';
export declare class KanbanSearchComponent implements OnInit {
    savedSearchList: SearchCardI[];
    display: boolean;
    savedSearch: any;
    advancedSearchFormData: AdvancedSearchFormData;
    anteraFilterOptions: KeyValue[];
    advancedSearchContainerData: AdvancedSearchContainerData;
    selectedIndex: number;
    page: string;
    mappingFields: any[];
    onCardDeleted: EventEmitter<any>;
    onSelectClicked: EventEmitter<any>;
    onAdvancedSearch: EventEmitter<any>;
    onSavedSearchQuickViewEnabled: EventEmitter<any>;
    onSavedSearchShare: EventEmitter<any>;
    onSavedSearchReorder: EventEmitter<any>;
    onCardHide: EventEmitter<any>;
    autoCompleteSearch: EventEmitter<any>;
    showProductDeleted: number;
    reSynceNeeded: boolean;
    ontToggleResyncQBO: EventEmitter<any>;
    qboActive: boolean;
    onToggleAccountType: EventEmitter<any>;
    constructor();
    ngOnInit(): void;
    /**
     * Delete emitted.
     *
     * @param {SearchCardI} event
     * @returns {void}
     */
    onDeleteSavedSearch(event: SearchCardI): void;
    onHideSavedSearch(event: SearchCardI): void;
    /**
     * Select emitted.
     *
     * @param {SearchCardI} event
     * @returns {void}
     */
    onSelectBtnClicked(event: SearchCardI): void;
    /**
     * Emits advanced search form details.
     *
     * @param {any} searchValue
     * @returns {void}
     */
    emitAdvancedSearchValues(searchValue: any): void;
    /**
     * Search Card quick view enabled. Emit vard details and
     * checkbox value
     *
     * @param {any}
     * @returns {void}
     */
    onSavedSearchEnableQuickView(event: any): void;
    /**
     *
     */
    onSavedSearchCardOrderChange(event: any): void;
    onShareToggle(event: any): void;
    emitAutoComplete(event: any): void;
    toggleResyncQBO(event: any): void;
    changeAccType(event: any): void;
}
//# sourceMappingURL=kanban-search.component.d.ts.map