import { EventEmitter } from '@angular/core';
import { MatCheckbox } from '@angular/material/checkbox';
import { MatDialog } from '@angular/material/dialog';
import { KanbanViewCardI, KanbanViewListI } from '../../models/kanban-view/kanban-viewI';
export declare class KanbanViewContainerComponent {
    private dialog;
    swimLaneList: KanbanViewListI[];
    dateFormatString: string;
    timeFormatString: string;
    onSwimLaneChange: EventEmitter<any>;
    onDeleteSwimLane: EventEmitter<any>;
    assignArtwork: EventEmitter<any>;
    deleteArtwork: EventEmitter<any>;
    selectClicked: EventEmitter<any>;
    editArtwork: EventEmitter<any>;
    onDrop: EventEmitter<any>;
    onPin: EventEmitter<any>;
    onOpenRelatedOrderDetailDialog: EventEmitter<any>;
    constructor(dialog: MatDialog);
    /**
     * Opens the swim lane dialog for edit or add functionality.
     *
     * @param {KanbanViewListI} panel
     * @returns {void}
     */
    openSwimLaneDialog(panel?: KanbanViewListI): void;
    /**
     * Deletes swimlane which is selected.
     *
     * @returns {void}
     */
    deleteSwimLane(swimLane: any): void;
    onAssignArtwork(artwork: any): void;
    onDeleteArtwork(artwork: any): void;
    onEditArtwork(artwork: any): void;
    /**
     * On change of card, we emit value.
     *
     * @param {KanbanViewCardI} card
     * @param {number} swimLaneIndex
     * @param {number} cardIndex
     * @returns {void}
     */
    cardValueChange(card: KanbanViewCardI, swimLaneIndex: number, cardIndex: number): void;
    /**
     * Toggles the all check box for each swim lane
     * on and off.
     *
     * @param {MatCheckbox} event
     * @param {number} swimLaneIndex
     * @returns {void}
     */
    onToggleAll(event: MatCheckbox, swimLaneIndex: number): void;
    drop(event: any, swimLane: KanbanViewListI): void;
    pinned(cardDetails: any): void;
    openRelatedOrderDetailDialog(cardDetails: any): void;
}
//# sourceMappingURL=kanban-view-container.component.d.ts.map